package Joystick "Package containing models of analog joystick re-centering mechanisms"
  annotation(Documentation(info="<html><!--WSMINSERTIONTAGSTART JoystickPackage -->
<head>
<style type=\"text/css\">

body {
 padding: 0px;
 margin: 0px;
}

a {
 color: #cf1d24;
}

a.target {
 padding-top: 40px;
 margin-top: -40px;
}

p {
 font-family: arial;
 font-size: 13;
 margin: 9px 40px 5px 40px;
 padding-bottom: 0px;
 color: #555555;
 max-width: 800px;
}

h1 {
 font-size: 30;
 color: #cf1d24;
 font-weight: bold;
 margin-left: 20px;
 margin-top: 32px;
 margin-bottom: 15px;
 margin-right: 20px;
 padding-top: 0px;
}

h2 {
 font-size: 20;
 color: #cf1d24;
 font-weight: bold;
 margin-left: 20px;
 margin-right: 20px;
 margin-top: 5px;
 margin-bottom: 9px;
}

h3 {
 background: url('./DocumentationFiles/dingbat3.png') no-repeat 0 0;
 font-size: 14px;
 font-family: helvetica;
 color: #4B4B4B;
 font-weight: bold;
 padding-left: 18px;
 margin-left: 20px;
 margin-right: 20px;
 margin-top: 12px;
 margin-bottom: 8px;
}

ul {
 font-family: arial;
 font-size: 13;
 margin: 9px 40px 5px 40px;
 padding-bottom: 0px;
 color: #555555;
 max-width: 800px;
 list-style-type: square;
}

li {
 margin-left: 0px;
 margin-top: 4px;
 margin-bottom: 2px;
 padding-left: 0px;
}

div.header {
 background: url('./DocumentationFiles/WSMLogo.png') no-repeat 0 0;
 height: 96px;
 margin-top: 35px;
 background-color: #871613;
}

.headerspan {
 font-family: arial;
 text-decoration: none;
 font-size: 12px;
 font-weight: bold;
 display: inline-block;
 height: 35px;
 color: gray;
 padding: 0px;
 margin: 0px;
 margin-left: 20px;
}

.headera {
 font-family: arial;
 text-decoration: none;
 font-size: 12px;
 font-weight: bold;
 padding: 0px;
 color: inherit;
 vertical-align: middle;
 margin: 0px;
}

.headerlinkdiv {
 background: black;
 padding: 0px;
 height: 35px;
 margin: 0px;
 position: fixed; top: 0px; left: 0px; width: 100%;
}

.contenttable {
 -webkit-box-shadow: 3px 3px 3px #DDDDDD;
 border-top: 3px solid #cf1d24;
 background: #f9f9f9;
 max-width: 500px;
 margin: 15px 15px 0px 20px;
 padding: 6px 10px 3px 10px;
}

.contenttableheader {
 color: #a4a4a4;
 font-size: 14px;
 font-family: arial;
}

.contenttabletable {
 border: 0px solid #FFFFFF;
 padding: 0px;
 padding-left: 20px;
}

.contenttable tr td {
 padding: 3px;
 min-width: 200px;
}

.contenttable tr td a {
 color: #555555;
 text-decoration: none;
 font-size: 13px;
 font-family: arial;
}

.hacek {
 color: #cf1d24;
 font-size: 25px;
 font-weight: plain;
 vertical-align: -40%;
}

.mathematicapointerwrapper {
 border: 0px solid #DDDDDD;
 margin: 15px 15px 15px 40px;
 padding: 0px;
 max-width: 500px;
}

.mathematicapointertop {
 border: 1px solid #DDDDDD;
 background-color: #F2F2F2;
 padding: 0px;
 max-width: 500px;
 height: 4px;
}

.mathematicapointerdiv {
 background: url('./DocumentationFiles/mathematicabook.png') no-repeat 5 5;
 border: 1px solid #DDDDDD;
 background-color: #FFFFFF;
 margin: 0px;
 padding: 15px 9px 9px 89px;
 max-width: 500px;
 min-height: 67px;
}

p.mathematicapointer {
 padding: 0px;
 margin: 0px;
 font-size: 12px;
}

.infoboxwrapper {
 border: 0px solid #DDDDDD;
 -webkit-box-shadow: 3px 3px 3px #DDDDDD;
 margin: 15px 15px 15px 40px;
 padding: 0px;
 max-width: 500px;
}

.infoboxtop {
 background: url('./DocumentationFiles/infotick.png') no-repeat 12 2;
 border: 1px solid #DDDDDD;
 background-color: #F2F2F2;
 padding: 0px;
 max-width: 500px;
 height: 37px;
}

div.infobox {
 border: 1px solid #DDDDDD;
 background-color: #FFFFFF;
 margin: 0px;
 padding: 15px;
 max-width: 500px;
}

p.infobox {
 padding: 0px;
 margin: 0px;
 font-size: 12px;
}

h2.legal {
 font-family: arial;
 font-size: 14;
 color: #cf1d24;
 margin: 15px 15px 15px 20px;
 font-weight: bold;
}

h3.legal {
 background: url('./DocumentationFiles/dingbat3.png') no-repeat 0 0;
 font-family: arial;
 font-size: 12;
 color: #808080;
 margin-left: 38px;
 padding-left: 12px;
 font-weight: bold;
}

ul.legal {
 font-size: 10px;
 font-family: arial;
 color: #555555;
 margin-left: 28px;
}

ul.legal li {
 margin-left: 0px;
 margin-top: 4px;
 margin-bottom: 2px;
 padding-left: 0px;
}

p.legallarge {
 font-size: 12px;
 margin-left: 38px;
}

p.legalsmall {
 font-size: 11px;
 margin-left: 38px;
 padding-left: 12px;
}

.legalend {
 height: 10px;
}

.variablename {
 font-family: Courier New, Courier;
}

.dialogelement {
 font-weight: bold;
}

.menuitem {
 font-weight: bold;
}

.mr {
 font-family: Courier New, Courier;
}


</style>
</head>
<body>

<div class=\"headerlinkdiv\">

<span class=\"headerspan\" style=\"background: url(DocumentationFiles/examples.png) no-repeat 0 0;
padding-left: 24px;
\"
onmouseover=\"
	this.style.color = 'white';
	this.style.background = 'url(DocumentationFiles/examples_active.png) no-repeat 0 0';
\"
onmouseout=\"
	this.style.color = 'gray';
	this.style.background = 'url(DocumentationFiles/examples.png) no-repeat 0 0';
\"><a href=\"http://www.wolfram.com/system-modeler/industry-examples/\" class=\"headera\">More Examples</a></span>

<span class=\"headerspan\" style=\"background: url(DocumentationFiles/video.png) no-repeat 0 0;
padding-left: 29px;
\"
onmouseover=\"
	this.style.color = 'white';
	this.style.background = 'url(DocumentationFiles/video_active.png) no-repeat 0 0';
\"
onmouseout=\"
	this.style.color = 'gray';
	this.style.background = 'url(DocumentationFiles/video.png) no-repeat 0 0';
\"><a href=\"http://www.wolfram.com/system-modeler/resources/get-started/\" class=\"headera\">Introductory Videos</a></span>

<span class=\"headerspan\" style=\"background: url(DocumentationFiles/docs.png) no-repeat 0 0;
padding-left: 20px;
\"
onmouseover=\"
	this.style.color = 'white';
	this.style.background = 'url(DocumentationFiles/docs_active.png) no-repeat 0 0';
\"
onmouseout=\"
	this.style.color = 'gray';
	this.style.background = 'url(DocumentationFiles/docs.png) no-repeat 0 0';
\"><a href=\"http://reference.wolfram.com/system-modeler\" class=\"headera\">Documentation</a></span>

<span class=\"headerspan\" style=\"background: url(DocumentationFiles/contact.png) no-repeat 0 0;
padding-left: 24px;
\"
onmouseover=\"
	this.style.color = 'white';
	this.style.background = 'url(DocumentationFiles/contact_active.png) no-repeat 0 0';
\"
onmouseout=\"
	this.style.color = 'gray';
	this.style.background = 'url(DocumentationFiles/contact.png) no-repeat 0 0';
\"><a href=\"http://www.wolfram.com/system-modeler/contact-us/\" class=\"headera\">Contact Us</a></span>
</div><div class=\"header\">&nbsp;</div>
<h1>Human Interface Device (HID): Design a Joystick</h1><a id=\"headerTag_PackageOverview\" class=\"target\">&nbsp;</a>
<h2>Package Overview</h2>
<p class=\"\">
This is a package containing two models of joystick scenarios, as well as a component library used in the models.
</p><ul><li><a href=\"Modelica://Joystick.JoystickForceResponse#diagram\">JoystickForceResponse</a>: main model comparing response of joysticks to circular input (<a href=\"Modelica://Joystick.JoystickForceResponse\">show documentation</a>)</li><li><a href=\"Modelica://Joystick.JoystickReturnTrajectory#diagram\">JoystickReturnTrajectory</a>: model comparing spring-back trajectory of released joysticks (<a href=\"Modelica://Joystick.JoystickReturnTrajectory\">show documentation</a>)</li><li><a href=\"Modelica://Joystick.Components#info\">Components</a>: library with custom components for the joystick</li></ul><h2 class=\"legal\"> <a href=\"#\" onclick=\"
if(document.getElementById('19').style.display == 'none'){
document.getElementById('19').style.display = 'block';
document.getElementById('show19').style.display = 'none';
document.getElementById('hide19').style.display = 'inline';
} else {
document.getElementById('19').style.display = 'none';
document.getElementById('show19').style.display = 'inline';
document.getElementById('hide19').style.display = 'none';
};
return false;\" style=\"text-decoration: inherit; color: inherit\"><img src=\"DocumentationFiles/showhide2.png\" alt=\"Show\" id=\"show19\" style=\"display: inline; vertical-align: text-bottom;\" /><img src=\"DocumentationFiles/showhide.png\" alt=\"Hide\" id=\"hide19\" style=\"display: none; vertical-align: text-bottom;\" />Terms and Conditions of Use</a> </h2>
<span id=\"19\" style=\"display: none;\"><p class=\"legallarge\">
This domain example is an informational resource made freely available by Wolfram Research.
</p><h3 class=\"legal\">Use of This Example</h3>
<span id=\"20\" style=\"display: block;\"><ul class=\"legal\"><li>You may not use this example for any purpose that is unlawful or dangerous.</li><li>You assume total responsibility and risk for your use of this example.</li><li>You may not present this example with any alteration to its trade dress, trademarks, or design.</li></ul></span><h3 class=\"legal\">License</h3>
<span id=\"21\" style=\"display: block;\"><p class=\"legalsmall\">
All content in this bundle is licensed under the Creative Commons Attribution-NonCommercial-ShareAlike 3.0 Unported License. By accessing the content or using it in any way, you accept and agree to be bound by the terms of this license. If you do not agree to these Terms of Use, you may not use this content. Wolfram Research reserves the right to change, modify, add to, or remove portions of these Terms of Use at any time without notice. Please refer back to <a href=\"http://www.wolfram.com\">www.wolfram.com</a> for the latest Terms of Use.
</p><p class=\"legalsmall\">
A summary of the licensing terms can be found at:<br>
<a href=\"http://creativecommons.org/licenses/by-nc-sa/3.0\">http://creativecommons.org/licenses/by-nc-sa/3.0</a>
</p><p class=\"legalsmall\">
The full legal code can be found at:<br>
<a href=\"http://creativecommons.org/licenses/by-nc-sa/3.0/legalcode\">http://creativecommons.org/licenses/by-nc-sa/3.0/legalcode</a>
</p></span></span><div class=\"legalend\">&nbsp;</div>
</body>
<!--WSMINSERTIONTAGEND JoystickPackage --></html>", revisions=""), preferredView="info", uses(Modelica(version="3.1")), __Wolfram(openClass=Joystick.JoystickForceResponse, useDocumentationTemplate=false), Icon(coordinateSystem(extent={{-100.0,-100.0},{100.0,100.0}}, preserveAspectRatio=true, initialScale=0.1, grid={10,10}), graphics={Text(visible=true, origin={0.0,21.0}, lineColor={255,0,0}, extent={{-120.0,73.0},{120.0,132.0}}, textString="%name", fontName="Arial"),Rectangle(visible=true, lineColor={111,0,0}, fillColor={255,0,0}, fillPattern=FillPattern.HorizontalCylinder, lineThickness=4, extent={{-90.0,-90.0},{90.0,90.0}}, radius=25),Text(visible=true, origin={12.0,20.8333}, fillColor={255,255,255}, fillPattern=FillPattern.Solid, extent={{-102.0,-70.8333},{78.0,29.1667}}, textString="Ex", fontName="Arial")}));
  annotation(Diagram(coordinateSystem(extent={{-148.5,-105.0},{148.5,105.0}}, preserveAspectRatio=true, initialScale=0.1, grid={10,10})));
  package Components "Package containing components for joystick models"
    annotation(Documentation(info="<html><!--WSMINSERTIONTAGSTART Components -->
<head>
<style type=\"text/css\">

body {
 padding: 0px;
 margin: 0px;
}

a {
 color: #cf1d24;
}

a.target {
 padding-top: 40px;
 margin-top: -40px;
}

p {
 font-family: arial;
 font-size: 13;
 margin: 9px 40px 5px 40px;
 padding-bottom: 0px;
 color: #555555;
 max-width: 800px;
}

h1 {
 font-size: 30;
 color: #cf1d24;
 font-weight: bold;
 margin-left: 20px;
 margin-top: 32px;
 margin-bottom: 15px;
 margin-right: 20px;
 padding-top: 0px;
}

h2 {
 font-size: 20;
 color: #cf1d24;
 font-weight: bold;
 margin-left: 20px;
 margin-right: 20px;
 margin-top: 5px;
 margin-bottom: 9px;
}

h3 {
 background: url('./DocumentationFiles/dingbat3.png') no-repeat 0 0;
 font-size: 14px;
 font-family: helvetica;
 color: #4B4B4B;
 font-weight: bold;
 padding-left: 18px;
 margin-left: 20px;
 margin-right: 20px;
 margin-top: 12px;
 margin-bottom: 8px;
}

ul {
 font-family: arial;
 font-size: 13;
 margin: 9px 40px 5px 40px;
 padding-bottom: 0px;
 color: #555555;
 max-width: 800px;
 list-style-type: square;
}

li {
 margin-left: 0px;
 margin-top: 4px;
 margin-bottom: 2px;
 padding-left: 0px;
}

div.header {
 background: url('./DocumentationFiles/WSMLogo.png') no-repeat 0 0;
 height: 96px;
 margin-top: 35px;
 background-color: #871613;
}

.headerspan {
 font-family: arial;
 text-decoration: none;
 font-size: 12px;
 font-weight: bold;
 display: inline-block;
 height: 35px;
 color: gray;
 padding: 0px;
 margin: 0px;
 margin-left: 20px;
}

.headera {
 font-family: arial;
 text-decoration: none;
 font-size: 12px;
 font-weight: bold;
 padding: 0px;
 color: inherit;
 vertical-align: middle;
 margin: 0px;
}

.headerlinkdiv {
 background: black;
 padding: 0px;
 height: 35px;
 margin: 0px;
 position: fixed; top: 0px; left: 0px; width: 100%;
}

.contenttable {
 -webkit-box-shadow: 3px 3px 3px #DDDDDD;
 border-top: 3px solid #cf1d24;
 background: #f9f9f9;
 max-width: 500px;
 margin: 15px 15px 0px 20px;
 padding: 6px 10px 3px 10px;
}

.contenttableheader {
 color: #a4a4a4;
 font-size: 14px;
 font-family: arial;
}

.contenttabletable {
 border: 0px solid #FFFFFF;
 padding: 0px;
 padding-left: 20px;
}

.contenttable tr td {
 padding: 3px;
 min-width: 200px;
}

.contenttable tr td a {
 color: #555555;
 text-decoration: none;
 font-size: 13px;
 font-family: arial;
}

.hacek {
 color: #cf1d24;
 font-size: 25px;
 font-weight: plain;
 vertical-align: -40%;
}

.mathematicapointerwrapper {
 border: 0px solid #DDDDDD;
 margin: 15px 15px 15px 40px;
 padding: 0px;
 max-width: 500px;
}

.mathematicapointertop {
 border: 1px solid #DDDDDD;
 background-color: #F2F2F2;
 padding: 0px;
 max-width: 500px;
 height: 4px;
}

.mathematicapointerdiv {
 background: url('./DocumentationFiles/mathematicabook.png') no-repeat 5 5;
 border: 1px solid #DDDDDD;
 background-color: #FFFFFF;
 margin: 0px;
 padding: 15px 9px 9px 89px;
 max-width: 500px;
 min-height: 67px;
}

p.mathematicapointer {
 padding: 0px;
 margin: 0px;
 font-size: 12px;
}

.infoboxwrapper {
 border: 0px solid #DDDDDD;
 -webkit-box-shadow: 3px 3px 3px #DDDDDD;
 margin: 15px 15px 15px 40px;
 padding: 0px;
 max-width: 500px;
}

.infoboxtop {
 background: url('./DocumentationFiles/infotick.png') no-repeat 12 2;
 border: 1px solid #DDDDDD;
 background-color: #F2F2F2;
 padding: 0px;
 max-width: 500px;
 height: 37px;
}

div.infobox {
 border: 1px solid #DDDDDD;
 background-color: #FFFFFF;
 margin: 0px;
 padding: 15px;
 max-width: 500px;
}

p.infobox {
 padding: 0px;
 margin: 0px;
 font-size: 12px;
}

h2.legal {
 font-family: arial;
 font-size: 14;
 color: #cf1d24;
 margin: 15px 15px 15px 20px;
 font-weight: bold;
}

h3.legal {
 background: url('./DocumentationFiles/dingbat3.png') no-repeat 0 0;
 font-family: arial;
 font-size: 12;
 color: #808080;
 margin-left: 38px;
 padding-left: 12px;
 font-weight: bold;
}

ul.legal {
 font-size: 10px;
 font-family: arial;
 color: #555555;
 margin-left: 28px;
}

ul.legal li {
 margin-left: 0px;
 margin-top: 4px;
 margin-bottom: 2px;
 padding-left: 0px;
}

p.legallarge {
 font-size: 12px;
 margin-left: 38px;
}

p.legalsmall {
 font-size: 11px;
 margin-left: 38px;
 padding-left: 12px;
}

.legalend {
 height: 10px;
}

.variablename {
 font-family: Courier New, Courier;
}

.dialogelement {
 font-weight: bold;
}

.menuitem {
 font-weight: bold;
}

.mr {
 font-family: Courier New, Courier;
}


</style>
</head>
<body>

<div class=\"headerlinkdiv\">

<span class=\"headerspan\" style=\"background: url(DocumentationFiles/examples.png) no-repeat 0 0;
padding-left: 24px;
\"
onmouseover=\"
	this.style.color = 'white';
	this.style.background = 'url(DocumentationFiles/examples_active.png) no-repeat 0 0';
\"
onmouseout=\"
	this.style.color = 'gray';
	this.style.background = 'url(DocumentationFiles/examples.png) no-repeat 0 0';
\"><a href=\"http://www.wolfram.com/system-modeler/industry-examples/\" class=\"headera\">More Examples</a></span>

<span class=\"headerspan\" style=\"background: url(DocumentationFiles/video.png) no-repeat 0 0;
padding-left: 29px;
\"
onmouseover=\"
	this.style.color = 'white';
	this.style.background = 'url(DocumentationFiles/video_active.png) no-repeat 0 0';
\"
onmouseout=\"
	this.style.color = 'gray';
	this.style.background = 'url(DocumentationFiles/video.png) no-repeat 0 0';
\"><a href=\"http://www.wolfram.com/system-modeler/resources/get-started/\" class=\"headera\">Introductory Videos</a></span>

<span class=\"headerspan\" style=\"background: url(DocumentationFiles/docs.png) no-repeat 0 0;
padding-left: 20px;
\"
onmouseover=\"
	this.style.color = 'white';
	this.style.background = 'url(DocumentationFiles/docs_active.png) no-repeat 0 0';
\"
onmouseout=\"
	this.style.color = 'gray';
	this.style.background = 'url(DocumentationFiles/docs.png) no-repeat 0 0';
\"><a href=\"http://reference.wolfram.com/system-modeler\" class=\"headera\">Documentation</a></span>

<span class=\"headerspan\" style=\"background: url(DocumentationFiles/contact.png) no-repeat 0 0;
padding-left: 24px;
\"
onmouseover=\"
	this.style.color = 'white';
	this.style.background = 'url(DocumentationFiles/contact_active.png) no-repeat 0 0';
\"
onmouseout=\"
	this.style.color = 'gray';
	this.style.background = 'url(DocumentationFiles/contact.png) no-repeat 0 0';
\"><a href=\"http://www.wolfram.com/system-modeler/contact-us/\" class=\"headera\">Contact Us</a></span>
</div><div class=\"header\">&nbsp;</div>
<h1>Human Interface Device (HID): Design a Joystick</h1><a id=\"headerTag_PackageOverview\" class=\"target\">&nbsp;</a>
<h2>Package Overview</h2>
<p class=\"\">
This subpackage contains components used in the <a href=\"Modelica://Joystick.JoystickForceResponse\">JoystickForceResponse</a> and <a href=\"Modelica://Joystick.JoystickReturnTrajectory\">JoystickReturnTrajectory</a> models.
</p><ul><li><a href=\"Modelica://Joystick.Components.FourSpringReturn#diagram\">FourSpringReturn</a>: re-centering mechanism with symmetrical arrangement of four springs (<a href=\"Modelica://Joystick.Components.FourSpringReturn\">show documentation</a>)</li><li><a href=\"Modelica://Joystick.Components.JoystickJoint#diagram\">JoystickJoint</a>: two-axis joystick joint (<a href=\"Modelica://Joystick.Components.JoystickJoint\">show documentation</a>)</li><li><a href=\"Modelica://Joystick.Components.RotatingRadialForce#diagram\">RotatingRadialForce</a>: test force with circularly varying direction (<a href=\"Modelica://Joystick.Components.RotatingRadialForce\">show documentation</a>)</li><li><a href=\"Modelica://Joystick.Components.SixSpringReturn#diagram\">SixSpringReturn</a>: re-centering mechanism with symmetrical arrangement of six springs (<a href=\"Modelica://Joystick.Components.SixSpringReturn\">show documentation</a>)</li><li><a href=\"Modelica://Joystick.Components.TensionSpringDamper#diagram\">TensionSpringDamper</a>: one-directional damped spring (<a href=\"Modelica://Joystick.Components.TensionSpringDamper\">show documentation</a>)</li><li><a href=\"Modelica://Joystick.Components.ThreeSpringReturn#diagram\">ThreeSpringReturn</a>: re-centering mechanism with symmetrical arrangement of three springs (<a href=\"Modelica://Joystick.Components.ThreeSpringReturn\">show documentation</a>)</li></ul><h2 class=\"legal\"> <a href=\"#\" onclick=\"
if(document.getElementById('22').style.display == 'none'){
document.getElementById('22').style.display = 'block';
document.getElementById('show22').style.display = 'none';
document.getElementById('hide22').style.display = 'inline';
} else {
document.getElementById('22').style.display = 'none';
document.getElementById('show22').style.display = 'inline';
document.getElementById('hide22').style.display = 'none';
};
return false;\" style=\"text-decoration: inherit; color: inherit\"><img src=\"DocumentationFiles/showhide2.png\" alt=\"Show\" id=\"show22\" style=\"display: inline; vertical-align: text-bottom;\" /><img src=\"DocumentationFiles/showhide.png\" alt=\"Hide\" id=\"hide22\" style=\"display: none; vertical-align: text-bottom;\" />Terms and Conditions of Use</a> </h2>
<span id=\"22\" style=\"display: none;\"><p class=\"legallarge\">
This domain example is an informational resource made freely available by Wolfram Research.
</p><h3 class=\"legal\">Use of This Example</h3>
<span id=\"23\" style=\"display: block;\"><ul class=\"legal\"><li>You may not use this example for any purpose that is unlawful or dangerous.</li><li>You assume total responsibility and risk for your use of this example.</li><li>You may not present this example with any alteration to its trade dress, trademarks, or design.</li></ul></span><h3 class=\"legal\">License</h3>
<span id=\"24\" style=\"display: block;\"><p class=\"legalsmall\">
All content in this bundle is licensed under the Creative Commons Attribution-NonCommercial-ShareAlike 3.0 Unported License. By accessing the content or using it in any way, you accept and agree to be bound by the terms of this license. If you do not agree to these Terms of Use, you may not use this content. Wolfram Research reserves the right to change, modify, add to, or remove portions of these Terms of Use at any time without notice. Please refer back to <a href=\"http://www.wolfram.com\">www.wolfram.com</a> for the latest Terms of Use.
</p><p class=\"legalsmall\">
A summary of the licensing terms can be found at:<br>
<a href=\"http://creativecommons.org/licenses/by-nc-sa/3.0\">http://creativecommons.org/licenses/by-nc-sa/3.0</a>
</p><p class=\"legalsmall\">
The full legal code can be found at:<br>
<a href=\"http://creativecommons.org/licenses/by-nc-sa/3.0/legalcode\">http://creativecommons.org/licenses/by-nc-sa/3.0/legalcode</a>
</p></span></span><div class=\"legalend\">&nbsp;</div>
</body>
<!--WSMINSERTIONTAGEND Components --></html>", revisions=""), Icon(coordinateSystem(extent={{-100.0,-100.0},{100.0,100.0}}, preserveAspectRatio=true, initialScale=0.1, grid={10,10}), graphics={Rectangle(visible=true, lineColor={191,191,191}, fillColor={255,255,255}, fillPattern=FillPattern.HorizontalCylinder, lineThickness=4, extent={{-90.0,-90.0},{90.0,90.0}}, radius=25)}), Diagram(coordinateSystem(extent={{-148.5,-105.0},{148.5,105.0}}, preserveAspectRatio=true, initialScale=0.1, grid={10,10})));
    model TensionSpringDamper "One-directional tension spring with damping"
      import Modelica.Mechanics.MultiBody.Types;
      extends Modelica.Mechanics.MultiBody.Interfaces.PartialTwoFrames;
      parameter Boolean animation=true "= true, if animation shall be enabled";
      parameter Boolean showMass=true "= true, if point mass shall be visualized as sphere if animation=true and m>0";
      parameter Modelica.SIunits.TranslationalSpringConstant c(final min=0) "Spring constant";
      parameter Real d(final unit="N/ (m/s)", final min=0, start=1) "Damping constant";
      parameter Modelica.SIunits.Length s_unstretched=0 "Unstretched spring length";
      parameter Modelica.SIunits.Mass m(min=0)=0 "Spring mass located on the connetion line between the origin of frame_a and the origin of frame_b";
      parameter Real lengthFraction(min=0, max=1)=0.5 "Location of spring mass with respect to frame_a as a fraction of the distance from frame_a to frame_b (=0: at frame_a; =1: at frame_b)";
      input Modelica.SIunits.Distance width=world.defaultForceWidth " Width of spring" annotation(Dialog(tab="Animation", group="if animation = true", enable=animation));
      input Modelica.SIunits.Distance coilWidth=width/10 " Width of spring coil" annotation(Dialog(tab="Animation", group="if animation = true", enable=animation));
      parameter Integer numberOfWindings=5 " Number of spring windings" annotation(Dialog(tab="Animation", group="if animation = true", enable=animation));
      input Modelica.Mechanics.MultiBody.Types.Color color=Modelica.Mechanics.MultiBody.Types.Defaults.SpringColor " Color of spring" annotation(Dialog(tab="Animation", group="if animation = true", enable=animation));
      input Modelica.Mechanics.MultiBody.Types.SpecularCoefficient specularCoefficient=world.defaultSpecularCoefficient "Reflection of ambient light (= 0: light is completely absorbed)" annotation(Dialog(tab="Animation", group="if animation = true", enable=animation));
      input Modelica.SIunits.Diameter massDiameter=max(0, (width - 2*coilWidth)*0.9) " Diameter of mass point sphere" annotation(Dialog(tab="Animation", group="if animation = true and showMass = true", enable=animation and showMass));
      input Modelica.Mechanics.MultiBody.Types.Color massColor=Modelica.Mechanics.MultiBody.Types.Defaults.BodyColor " Color of mass point" annotation(Dialog(tab="Animation", group="if animation = true and showMass = true", enable=animation and showMass));
      Modelica.Mechanics.MultiBody.Forces.LineForceWithMass lineForce(animateLine=animation, animateMass=showMass, m=m, lengthFraction=lengthFraction, lineShapeType="spring", lineShapeHeight=coilWidth*2, lineShapeWidth=width, lineShapeExtra=numberOfWindings, lineShapeColor=color, specularCoefficient=specularCoefficient, massDiameter=massDiameter, massColor=massColor) annotation(Placement(visible=true, transformation(origin={-0.0,0.0}, extent={{-20.0,-20.0},{20.0,20.0}}, rotation=0)));
      Modelica.Mechanics.Translational.Components.ElastoGap elastoGap1(c=c, s_rel0=-s_unstretched, d=d) annotation(Placement(visible=true, transformation(origin={0.0,70.0}, extent={{-10.0,-10.0},{10.0,10.0}}, rotation=-180)));
    equation 
      connect(lineForce.flange_b,elastoGap1.flange_a) annotation(Line(visible=true, origin={12.0,41.36}, points={{0.0,-21.36},{0.0,-17.96},{1.0,-17.96},{1.0,28.64},{-2.0,28.64}}, color={0,127,0}));
      connect(lineForce.flange_a,elastoGap1.flange_b) annotation(Line(visible=true, origin={-12.0,41.36}, points={{0.0,-21.36},{0.0,-17.96},{-1.0,-17.96},{-1.0,28.64},{2.0,28.64}}, color={0,127,0}));
      connect(lineForce.frame_b,frame_b) annotation(Line(visible=true, origin={60.0,0.0}, points={{-40.0,0.0},{40.0,-0.0}}, color={95,95,95}, thickness=0.5));
      connect(lineForce.frame_a,frame_a) annotation(Line(visible=true, origin={-60.0,0.0}, points={{40.0,0.0},{-40.0,-0.0}}, color={95,95,95}, thickness=0.5));
      annotation(Icon(coordinateSystem(extent={{-100.0,-100.0},{100.0,100.0}}, preserveAspectRatio=true, initialScale=0.1, grid={10,10}), graphics={Line(visible=true, origin={-20.0,20.0}, points={{50.0,-70.0},{80.0,-70.0}}),Line(visible=true, origin={-30.0,40.0}, points={{-50.0,0.0},{-20.0,0.0},{-10.0,-20.0},{10.0,20.0},{30.0,-20.0},{50.0,20.0},{60.0,0.0},{90.0,0.0}}),Text(visible=true, origin={-1.0,-9.0}, lineColor={0,0,255}, extent={{-130.0,49.0},{132.0,109.0}}, textString="%name", fontName="Arial"),Ellipse(visible=true, fillPattern=FillPattern.Solid, extent={{-8.0,-8.0},{8.0,8.0}}),Line(visible=true, origin={160.0,0.0}, points={{-80.0,40.0},{-80.0,-50.0}}, thickness=5),Line(visible=true, origin={0.0,20.0}, points={{-80.0,-70.0},{-36.6387,-70.0}}),Rectangle(visible=true, origin={3.4947,13.6436}, fillColor={192,192,192}, fillPattern=FillPattern.Solid, extent={{-43.4947,-83.6436},{31.7846,-33.4574}}),Line(visible=true, origin={12.0,20.0}, points={{-52.0,-40.0},{38.0,-40.0}}),Line(visible=true, origin={17.0,30.0}, points={{-52.0,-100.0},{33.0,-100.0}}),Line(visible=true, origin={-20.0,10.0}, points={{80.0,30.0},{80.0,-60.0}}),Text(visible=true, origin={8.0,-8.5}, extent={{-141.0,-92.0},{125.0,-51.0}}, textString="c=%c", fontName="Arial"),Line(visible=true, origin={-136.2719,70.0}, points={{36.2719,-70.0},{56.2719,-70.0}}),Line(visible=true, origin={43.7281,70.0}, points={{36.2719,-70.0},{56.2719,-70.0}}),Line(visible=true, points={{-80.0,40.0},{-80.0,-50.0}}, thickness=0.75)}), Diagram(coordinateSystem(preserveAspectRatio=true, extent={{-100,-100},{100,100}}), graphics), Documentation(info="<html><!--WSMINSERTIONTAGSTART TensionSpringDamper -->
<head>
<style type=\"text/css\">

body {
 padding: 0px;
 margin: 0px;
}

a {
 color: #cf1d24;
}

a.target {
 padding-top: 40px;
 margin-top: -40px;
}

p {
 font-family: arial;
 font-size: 13;
 margin: 9px 40px 5px 40px;
 padding-bottom: 0px;
 color: #555555;
 max-width: 800px;
}

h1 {
 font-size: 30;
 color: #cf1d24;
 font-weight: bold;
 margin-left: 20px;
 margin-top: 32px;
 margin-bottom: 15px;
 margin-right: 20px;
 padding-top: 0px;
}

h2 {
 font-size: 20;
 color: #cf1d24;
 font-weight: bold;
 margin-left: 20px;
 margin-right: 20px;
 margin-top: 5px;
 margin-bottom: 9px;
}

h3 {
 background: url('./DocumentationFiles/dingbat3.png') no-repeat 0 0;
 font-size: 14px;
 font-family: helvetica;
 color: #4B4B4B;
 font-weight: bold;
 padding-left: 18px;
 margin-left: 20px;
 margin-right: 20px;
 margin-top: 12px;
 margin-bottom: 8px;
}

ul {
 font-family: arial;
 font-size: 13;
 margin: 9px 40px 5px 40px;
 padding-bottom: 0px;
 color: #555555;
 max-width: 800px;
 list-style-type: square;
}

li {
 margin-left: 0px;
 margin-top: 4px;
 margin-bottom: 2px;
 padding-left: 0px;
}

div.header {
 background: url('./DocumentationFiles/WSMLogo.png') no-repeat 0 0;
 height: 96px;
 margin-top: 35px;
 background-color: #871613;
}

.headerspan {
 font-family: arial;
 text-decoration: none;
 font-size: 12px;
 font-weight: bold;
 display: inline-block;
 height: 35px;
 color: gray;
 padding: 0px;
 margin: 0px;
 margin-left: 20px;
}

.headera {
 font-family: arial;
 text-decoration: none;
 font-size: 12px;
 font-weight: bold;
 padding: 0px;
 color: inherit;
 vertical-align: middle;
 margin: 0px;
}

.headerlinkdiv {
 background: black;
 padding: 0px;
 height: 35px;
 margin: 0px;
 position: fixed; top: 0px; left: 0px; width: 100%;
}

.contenttable {
 -webkit-box-shadow: 3px 3px 3px #DDDDDD;
 border-top: 3px solid #cf1d24;
 background: #f9f9f9;
 max-width: 500px;
 margin: 15px 15px 0px 20px;
 padding: 6px 10px 3px 10px;
}

.contenttableheader {
 color: #a4a4a4;
 font-size: 14px;
 font-family: arial;
}

.contenttabletable {
 border: 0px solid #FFFFFF;
 padding: 0px;
 padding-left: 20px;
}

.contenttable tr td {
 padding: 3px;
 min-width: 200px;
}

.contenttable tr td a {
 color: #555555;
 text-decoration: none;
 font-size: 13px;
 font-family: arial;
}

.hacek {
 color: #cf1d24;
 font-size: 25px;
 font-weight: plain;
 vertical-align: -40%;
}

.mathematicapointerwrapper {
 border: 0px solid #DDDDDD;
 margin: 15px 15px 15px 40px;
 padding: 0px;
 max-width: 500px;
}

.mathematicapointertop {
 border: 1px solid #DDDDDD;
 background-color: #F2F2F2;
 padding: 0px;
 max-width: 500px;
 height: 4px;
}

.mathematicapointerdiv {
 background: url('./DocumentationFiles/mathematicabook.png') no-repeat 5 5;
 border: 1px solid #DDDDDD;
 background-color: #FFFFFF;
 margin: 0px;
 padding: 15px 9px 9px 89px;
 max-width: 500px;
 min-height: 67px;
}

p.mathematicapointer {
 padding: 0px;
 margin: 0px;
 font-size: 12px;
}

.infoboxwrapper {
 border: 0px solid #DDDDDD;
 -webkit-box-shadow: 3px 3px 3px #DDDDDD;
 margin: 15px 15px 15px 40px;
 padding: 0px;
 max-width: 500px;
}

.infoboxtop {
 background: url('./DocumentationFiles/infotick.png') no-repeat 12 2;
 border: 1px solid #DDDDDD;
 background-color: #F2F2F2;
 padding: 0px;
 max-width: 500px;
 height: 37px;
}

div.infobox {
 border: 1px solid #DDDDDD;
 background-color: #FFFFFF;
 margin: 0px;
 padding: 15px;
 max-width: 500px;
}

p.infobox {
 padding: 0px;
 margin: 0px;
 font-size: 12px;
}

h2.legal {
 font-family: arial;
 font-size: 14;
 color: #cf1d24;
 margin: 15px 15px 15px 20px;
 font-weight: bold;
}

h3.legal {
 background: url('./DocumentationFiles/dingbat3.png') no-repeat 0 0;
 font-family: arial;
 font-size: 12;
 color: #808080;
 margin-left: 38px;
 padding-left: 12px;
 font-weight: bold;
}

ul.legal {
 font-size: 10px;
 font-family: arial;
 color: #555555;
 margin-left: 28px;
}

ul.legal li {
 margin-left: 0px;
 margin-top: 4px;
 margin-bottom: 2px;
 padding-left: 0px;
}

p.legallarge {
 font-size: 12px;
 margin-left: 38px;
}

p.legalsmall {
 font-size: 11px;
 margin-left: 38px;
 padding-left: 12px;
}

.legalend {
 height: 10px;
}

.variablename {
 font-family: Courier New, Courier;
}

.dialogelement {
 font-weight: bold;
}

.menuitem {
 font-weight: bold;
}

.mr {
 font-family: Courier New, Courier;
}


</style>
</head>
<body>

<div class=\"headerlinkdiv\">

<span class=\"headerspan\" style=\"background: url(DocumentationFiles/examples.png) no-repeat 0 0;
padding-left: 24px;
\"
onmouseover=\"
	this.style.color = 'white';
	this.style.background = 'url(DocumentationFiles/examples_active.png) no-repeat 0 0';
\"
onmouseout=\"
	this.style.color = 'gray';
	this.style.background = 'url(DocumentationFiles/examples.png) no-repeat 0 0';
\"><a href=\"http://www.wolfram.com/system-modeler/industry-examples/\" class=\"headera\">More Examples</a></span>

<span class=\"headerspan\" style=\"background: url(DocumentationFiles/video.png) no-repeat 0 0;
padding-left: 29px;
\"
onmouseover=\"
	this.style.color = 'white';
	this.style.background = 'url(DocumentationFiles/video_active.png) no-repeat 0 0';
\"
onmouseout=\"
	this.style.color = 'gray';
	this.style.background = 'url(DocumentationFiles/video.png) no-repeat 0 0';
\"><a href=\"http://www.wolfram.com/system-modeler/resources/get-started/\" class=\"headera\">Introductory Videos</a></span>

<span class=\"headerspan\" style=\"background: url(DocumentationFiles/docs.png) no-repeat 0 0;
padding-left: 20px;
\"
onmouseover=\"
	this.style.color = 'white';
	this.style.background = 'url(DocumentationFiles/docs_active.png) no-repeat 0 0';
\"
onmouseout=\"
	this.style.color = 'gray';
	this.style.background = 'url(DocumentationFiles/docs.png) no-repeat 0 0';
\"><a href=\"http://reference.wolfram.com/system-modeler\" class=\"headera\">Documentation</a></span>

<span class=\"headerspan\" style=\"background: url(DocumentationFiles/contact.png) no-repeat 0 0;
padding-left: 24px;
\"
onmouseover=\"
	this.style.color = 'white';
	this.style.background = 'url(DocumentationFiles/contact_active.png) no-repeat 0 0';
\"
onmouseout=\"
	this.style.color = 'gray';
	this.style.background = 'url(DocumentationFiles/contact.png) no-repeat 0 0';
\"><a href=\"http://www.wolfram.com/system-modeler/contact-us/\" class=\"headera\">Contact Us</a></span>
</div><div class=\"header\">&nbsp;</div>
<h1>Tension-Spring Damper</h1><a id=\"headerTag_Description\" class=\"target\">&nbsp;</a>
<h2>Description</h2>
<p class=\"\">
This component models a one-directional tension spring with damping.
</p><p class=\"\">
View the <a href=\"Modelica://Joystick.Components.TensionSpringDamper#diagram\">model diagram</a> for this model.
</p><h2 class=\"legal\"> <a href=\"#\" onclick=\"
if(document.getElementById('37').style.display == 'none'){
document.getElementById('37').style.display = 'block';
document.getElementById('show37').style.display = 'none';
document.getElementById('hide37').style.display = 'inline';
} else {
document.getElementById('37').style.display = 'none';
document.getElementById('show37').style.display = 'inline';
document.getElementById('hide37').style.display = 'none';
};
return false;\" style=\"text-decoration: inherit; color: inherit\"><img src=\"DocumentationFiles/showhide2.png\" alt=\"Show\" id=\"show37\" style=\"display: inline; vertical-align: text-bottom;\" /><img src=\"DocumentationFiles/showhide.png\" alt=\"Hide\" id=\"hide37\" style=\"display: none; vertical-align: text-bottom;\" />Terms and Conditions of Use</a> </h2>
<span id=\"37\" style=\"display: none;\"><p class=\"legallarge\">
This domain example is an informational resource made freely available by Wolfram Research.
</p><h3 class=\"legal\">Use of This Example</h3>
<span id=\"38\" style=\"display: block;\"><ul class=\"legal\"><li>You may not use this example for any purpose that is unlawful or dangerous.</li><li>You assume total responsibility and risk for your use of this example.</li><li>You may not present this example with any alteration to its trade dress, trademarks, or design.</li></ul></span><h3 class=\"legal\">License</h3>
<span id=\"39\" style=\"display: block;\"><p class=\"legalsmall\">
All content in this bundle is licensed under the Creative Commons Attribution-NonCommercial-ShareAlike 3.0 Unported License. By accessing the content or using it in any way, you accept and agree to be bound by the terms of this license. If you do not agree to these Terms of Use, you may not use this content. Wolfram Research reserves the right to change, modify, add to, or remove portions of these Terms of Use at any time without notice. Please refer back to <a href=\"http://www.wolfram.com\">www.wolfram.com</a> for the latest Terms of Use.
</p><p class=\"legalsmall\">
A summary of the licensing terms can be found at:<br>
<a href=\"http://creativecommons.org/licenses/by-nc-sa/3.0\">http://creativecommons.org/licenses/by-nc-sa/3.0</a>
</p><p class=\"legalsmall\">
The full legal code can be found at:<br>
<a href=\"http://creativecommons.org/licenses/by-nc-sa/3.0/legalcode\">http://creativecommons.org/licenses/by-nc-sa/3.0/legalcode</a>
</p></span></span><div class=\"legalend\">&nbsp;</div>
</body>
<!--WSMINSERTIONTAGEND TensionSpringDamper --></html>", revisions=""));
    end TensionSpringDamper;

    model RotatingRadialForce "Radially directed force with circularly varying direction"
      annotation(Documentation(info="<html><!--WSMINSERTIONTAGSTART RotatingRadialForce -->
<head>
<style type=\"text/css\">

body {
 padding: 0px;
 margin: 0px;
}

a {
 color: #cf1d24;
}

a.target {
 padding-top: 40px;
 margin-top: -40px;
}

p {
 font-family: arial;
 font-size: 13;
 margin: 9px 40px 5px 40px;
 padding-bottom: 0px;
 color: #555555;
 max-width: 800px;
}

h1 {
 font-size: 30;
 color: #cf1d24;
 font-weight: bold;
 margin-left: 20px;
 margin-top: 32px;
 margin-bottom: 15px;
 margin-right: 20px;
 padding-top: 0px;
}

h2 {
 font-size: 20;
 color: #cf1d24;
 font-weight: bold;
 margin-left: 20px;
 margin-right: 20px;
 margin-top: 5px;
 margin-bottom: 9px;
}

h3 {
 background: url('./DocumentationFiles/dingbat3.png') no-repeat 0 0;
 font-size: 14px;
 font-family: helvetica;
 color: #4B4B4B;
 font-weight: bold;
 padding-left: 18px;
 margin-left: 20px;
 margin-right: 20px;
 margin-top: 12px;
 margin-bottom: 8px;
}

ul {
 font-family: arial;
 font-size: 13;
 margin: 9px 40px 5px 40px;
 padding-bottom: 0px;
 color: #555555;
 max-width: 800px;
 list-style-type: square;
}

li {
 margin-left: 0px;
 margin-top: 4px;
 margin-bottom: 2px;
 padding-left: 0px;
}

div.header {
 background: url('./DocumentationFiles/WSMLogo.png') no-repeat 0 0;
 height: 96px;
 margin-top: 35px;
 background-color: #871613;
}

.headerspan {
 font-family: arial;
 text-decoration: none;
 font-size: 12px;
 font-weight: bold;
 display: inline-block;
 height: 35px;
 color: gray;
 padding: 0px;
 margin: 0px;
 margin-left: 20px;
}

.headera {
 font-family: arial;
 text-decoration: none;
 font-size: 12px;
 font-weight: bold;
 padding: 0px;
 color: inherit;
 vertical-align: middle;
 margin: 0px;
}

.headerlinkdiv {
 background: black;
 padding: 0px;
 height: 35px;
 margin: 0px;
 position: fixed; top: 0px; left: 0px; width: 100%;
}

.contenttable {
 -webkit-box-shadow: 3px 3px 3px #DDDDDD;
 border-top: 3px solid #cf1d24;
 background: #f9f9f9;
 max-width: 500px;
 margin: 15px 15px 0px 20px;
 padding: 6px 10px 3px 10px;
}

.contenttableheader {
 color: #a4a4a4;
 font-size: 14px;
 font-family: arial;
}

.contenttabletable {
 border: 0px solid #FFFFFF;
 padding: 0px;
 padding-left: 20px;
}

.contenttable tr td {
 padding: 3px;
 min-width: 200px;
}

.contenttable tr td a {
 color: #555555;
 text-decoration: none;
 font-size: 13px;
 font-family: arial;
}

.hacek {
 color: #cf1d24;
 font-size: 25px;
 font-weight: plain;
 vertical-align: -40%;
}

.mathematicapointerwrapper {
 border: 0px solid #DDDDDD;
 margin: 15px 15px 15px 40px;
 padding: 0px;
 max-width: 500px;
}

.mathematicapointertop {
 border: 1px solid #DDDDDD;
 background-color: #F2F2F2;
 padding: 0px;
 max-width: 500px;
 height: 4px;
}

.mathematicapointerdiv {
 background: url('./DocumentationFiles/mathematicabook.png') no-repeat 5 5;
 border: 1px solid #DDDDDD;
 background-color: #FFFFFF;
 margin: 0px;
 padding: 15px 9px 9px 89px;
 max-width: 500px;
 min-height: 67px;
}

p.mathematicapointer {
 padding: 0px;
 margin: 0px;
 font-size: 12px;
}

.infoboxwrapper {
 border: 0px solid #DDDDDD;
 -webkit-box-shadow: 3px 3px 3px #DDDDDD;
 margin: 15px 15px 15px 40px;
 padding: 0px;
 max-width: 500px;
}

.infoboxtop {
 background: url('./DocumentationFiles/infotick.png') no-repeat 12 2;
 border: 1px solid #DDDDDD;
 background-color: #F2F2F2;
 padding: 0px;
 max-width: 500px;
 height: 37px;
}

div.infobox {
 border: 1px solid #DDDDDD;
 background-color: #FFFFFF;
 margin: 0px;
 padding: 15px;
 max-width: 500px;
}

p.infobox {
 padding: 0px;
 margin: 0px;
 font-size: 12px;
}

h2.legal {
 font-family: arial;
 font-size: 14;
 color: #cf1d24;
 margin: 15px 15px 15px 20px;
 font-weight: bold;
}

h3.legal {
 background: url('./DocumentationFiles/dingbat3.png') no-repeat 0 0;
 font-family: arial;
 font-size: 12;
 color: #808080;
 margin-left: 38px;
 padding-left: 12px;
 font-weight: bold;
}

ul.legal {
 font-size: 10px;
 font-family: arial;
 color: #555555;
 margin-left: 28px;
}

ul.legal li {
 margin-left: 0px;
 margin-top: 4px;
 margin-bottom: 2px;
 padding-left: 0px;
}

p.legallarge {
 font-size: 12px;
 margin-left: 38px;
}

p.legalsmall {
 font-size: 11px;
 margin-left: 38px;
 padding-left: 12px;
}

.legalend {
 height: 10px;
}

.variablename {
 font-family: Courier New, Courier;
}

.dialogelement {
 font-weight: bold;
}

.menuitem {
 font-weight: bold;
}

.mr {
 font-family: Courier New, Courier;
}


</style>
</head>
<body>

<div class=\"headerlinkdiv\">

<span class=\"headerspan\" style=\"background: url(DocumentationFiles/examples.png) no-repeat 0 0;
padding-left: 24px;
\"
onmouseover=\"
	this.style.color = 'white';
	this.style.background = 'url(DocumentationFiles/examples_active.png) no-repeat 0 0';
\"
onmouseout=\"
	this.style.color = 'gray';
	this.style.background = 'url(DocumentationFiles/examples.png) no-repeat 0 0';
\"><a href=\"http://www.wolfram.com/system-modeler/industry-examples/\" class=\"headera\">More Examples</a></span>

<span class=\"headerspan\" style=\"background: url(DocumentationFiles/video.png) no-repeat 0 0;
padding-left: 29px;
\"
onmouseover=\"
	this.style.color = 'white';
	this.style.background = 'url(DocumentationFiles/video_active.png) no-repeat 0 0';
\"
onmouseout=\"
	this.style.color = 'gray';
	this.style.background = 'url(DocumentationFiles/video.png) no-repeat 0 0';
\"><a href=\"http://www.wolfram.com/system-modeler/resources/get-started/\" class=\"headera\">Introductory Videos</a></span>

<span class=\"headerspan\" style=\"background: url(DocumentationFiles/docs.png) no-repeat 0 0;
padding-left: 20px;
\"
onmouseover=\"
	this.style.color = 'white';
	this.style.background = 'url(DocumentationFiles/docs_active.png) no-repeat 0 0';
\"
onmouseout=\"
	this.style.color = 'gray';
	this.style.background = 'url(DocumentationFiles/docs.png) no-repeat 0 0';
\"><a href=\"http://reference.wolfram.com/system-modeler\" class=\"headera\">Documentation</a></span>

<span class=\"headerspan\" style=\"background: url(DocumentationFiles/contact.png) no-repeat 0 0;
padding-left: 24px;
\"
onmouseover=\"
	this.style.color = 'white';
	this.style.background = 'url(DocumentationFiles/contact_active.png) no-repeat 0 0';
\"
onmouseout=\"
	this.style.color = 'gray';
	this.style.background = 'url(DocumentationFiles/contact.png) no-repeat 0 0';
\"><a href=\"http://www.wolfram.com/system-modeler/contact-us/\" class=\"headera\">Contact Us</a></span>
</div><div class=\"header\">&nbsp;</div>
<h1>Rotating Radial Force</h1><a id=\"headerTag_Description\" class=\"target\">&nbsp;</a>
<h2>Description</h2>
<p class=\"\">
This component models a radially directed test force with a circularly varying direction.
</p><p class=\"\">
View the <a href=\"Modelica://Joystick.Components.RotatingRadialForce#diagram\">model diagram</a> for this model.
</p><h2 class=\"legal\"> <a href=\"#\" onclick=\"
if(document.getElementById('31').style.display == 'none'){
document.getElementById('31').style.display = 'block';
document.getElementById('show31').style.display = 'none';
document.getElementById('hide31').style.display = 'inline';
} else {
document.getElementById('31').style.display = 'none';
document.getElementById('show31').style.display = 'inline';
document.getElementById('hide31').style.display = 'none';
};
return false;\" style=\"text-decoration: inherit; color: inherit\"><img src=\"DocumentationFiles/showhide2.png\" alt=\"Show\" id=\"show31\" style=\"display: inline; vertical-align: text-bottom;\" /><img src=\"DocumentationFiles/showhide.png\" alt=\"Hide\" id=\"hide31\" style=\"display: none; vertical-align: text-bottom;\" />Terms and Conditions of Use</a> </h2>
<span id=\"31\" style=\"display: none;\"><p class=\"legallarge\">
This domain example is an informational resource made freely available by Wolfram Research.
</p><h3 class=\"legal\">Use of This Example</h3>
<span id=\"32\" style=\"display: block;\"><ul class=\"legal\"><li>You may not use this example for any purpose that is unlawful or dangerous.</li><li>You assume total responsibility and risk for your use of this example.</li><li>You may not present this example with any alteration to its trade dress, trademarks, or design.</li></ul></span><h3 class=\"legal\">License</h3>
<span id=\"33\" style=\"display: block;\"><p class=\"legalsmall\">
All content in this bundle is licensed under the Creative Commons Attribution-NonCommercial-ShareAlike 3.0 Unported License. By accessing the content or using it in any way, you accept and agree to be bound by the terms of this license. If you do not agree to these Terms of Use, you may not use this content. Wolfram Research reserves the right to change, modify, add to, or remove portions of these Terms of Use at any time without notice. Please refer back to <a href=\"http://www.wolfram.com\">www.wolfram.com</a> for the latest Terms of Use.
</p><p class=\"legalsmall\">
A summary of the licensing terms can be found at:<br>
<a href=\"http://creativecommons.org/licenses/by-nc-sa/3.0\">http://creativecommons.org/licenses/by-nc-sa/3.0</a>
</p><p class=\"legalsmall\">
The full legal code can be found at:<br>
<a href=\"http://creativecommons.org/licenses/by-nc-sa/3.0/legalcode\">http://creativecommons.org/licenses/by-nc-sa/3.0/legalcode</a>
</p></span></span><div class=\"legalend\">&nbsp;</div>
</body>
<!--WSMINSERTIONTAGEND RotatingRadialForce --></html>", revisions=""), Icon(coordinateSystem(extent={{-100.0,-100.0},{100.0,100.0}}, preserveAspectRatio=true, initialScale=0.1, grid={10,10}), graphics={Ellipse(visible=true, fillColor={255,255,255}, lineThickness=1.5, extent={{-80.0,-80.0},{80.0,80.0}}),Line(visible=true, origin={15.0,36.8342}, points={{-15.0,-36.8342},{15.0,36.8342}}, thickness=1.5),Line(visible=true, origin={26.6667,61.1363}, points={{-16.6667,-1.1363},{3.3333,12.2726},{13.3333,-11.1363}}, thickness=1.5),Line(visible=true, origin={-8.399,26.2103}, points={{20.5906,3.7897},{12.5493,6.9923},{5.2862,6.9923},{-1.601,3.7897},{-8.9805,-3.6429},{-11.601,-13.7593},{-16.2436,-4.1617}}, thickness=1.5),Line(visible=true, origin={-15.9661,15.1746}, points={{-4.0339,-2.7237},{4.0339,2.7237}}, thickness=1.5)}), Diagram(coordinateSystem(extent={{-148.5,-105.0},{148.5,105.0}}, preserveAspectRatio=true, initialScale=0.1, grid={10,10})));
      Modelica.Mechanics.MultiBody.Forces.WorldForce force annotation(Placement(visible=true, transformation(origin={60.0,0.0}, extent={{-10.0,-10.0},{10.0,10.0}}, rotation=0)));
      parameter Real f(final unit="N", start=1) "Force";
      Modelica.Mechanics.MultiBody.Interfaces.Frame_b frame_b1 annotation(Placement(visible=true, transformation(origin={148.0906,0.0}, extent={{-16.0,-16.0},{16.0,16.0}}, rotation=0), iconTransformation(origin={100.0,0.0}, extent={{-16.0,-16.0},{16.0,16.0}}, rotation=0)));
      Modelica.Blocks.Sources.Clock clock1 annotation(Placement(visible=true, transformation(origin={-120.0,0.0}, extent={{-10.0,-10.0},{10.0,10.0}}, rotation=0)));
      Modelica.Blocks.Math.Gain gain1(k=1) annotation(Placement(visible=true, transformation(origin={-80.0,0.0}, extent={{-10.0,-10.0},{10.0,10.0}}, rotation=0)));
      Modelica.Blocks.Math.Cos cos1 annotation(Placement(visible=true, transformation(origin={-40.0,40.0}, extent={{-10.0,-10.0},{10.0,10.0}}, rotation=0)));
      Modelica.Blocks.Math.Sin sin1 annotation(Placement(visible=true, transformation(origin={-40.0,-40.0}, extent={{-10.0,-10.0},{10.0,10.0}}, rotation=0)));
      Modelica.Blocks.Sources.Constant const(k=0) annotation(Placement(visible=true, transformation(origin={0.0,0.0}, extent={{-10.0,-10.0},{10.0,10.0}}, rotation=0)));
      Modelica.Blocks.Math.Gain gain2(k=f) annotation(Placement(visible=true, transformation(origin={0.0,40.0}, extent={{-10.0,-10.0},{10.0,10.0}}, rotation=0)));
      Modelica.Blocks.Math.Gain gain3(k=f) annotation(Placement(visible=true, transformation(origin={0.0,-40.0}, extent={{-10.0,-10.0},{10.0,10.0}}, rotation=0)));
    equation 
      connect(sin1.y,gain3.u) annotation(Line(visible=true, origin={-20.5,-40.0}, points={{-8.5,0.0},{8.5,0.0}}, color={0,0,127}));
      connect(gain3.y,force.force[3]) annotation(Line(visible=true, origin={32.25,-20.0}, points={{-21.25,-20.0},{-2.25,-20.0},{-2.25,20.0},{15.75,20.0}}, color={0,0,127}));
      connect(gain2.y,force.force[1]) annotation(Line(visible=true, origin={32.25,20.0}, points={{-21.25,20.0},{-2.25,20.0},{-2.25,-20.0},{15.75,-20.0}}, color={0,0,127}));
      connect(cos1.y,gain2.u) annotation(Line(visible=true, origin={-20.5,40.0}, points={{-8.5,0.0},{8.5,0.0}}, color={0,0,127}));
      connect(gain1.y,cos1.u) annotation(Line(visible=true, origin={-57.75,20.0}, points={{-11.25,-20.0},{2.75,-20.0},{2.75,20.0},{5.75,20.0}}, color={0,0,127}));
      connect(gain1.y,sin1.u) annotation(Line(visible=true, origin={-57.75,-20.0}, points={{-11.25,20.0},{2.75,20.0},{2.75,-20.0},{5.75,-20.0}}, color={0,0,127}));
      connect(const.y,force.force[2]) annotation(Line(visible=true, origin={34.5,0.0}, points={{-23.5,0.0},{13.5,0.0}}, color={0,0,127}));
      connect(clock1.y,gain1.u) annotation(Line(visible=true, origin={-100.5,0.0}, points={{-8.5,0.0},{8.5,0.0}}, color={0,0,127}));
      connect(force.frame_b,frame_b1) annotation(Line(visible=true, origin={109.0453,0.0}, points={{-39.0453,-0.0},{39.0453,0.0}}));
    end RotatingRadialForce;

    model JoystickJoint "Two degree-of-freedom joystick joint"
      annotation(Documentation(info="<html><!--WSMINSERTIONTAGSTART JoystickJoint -->
<head>
<style type=\"text/css\">

body {
 padding: 0px;
 margin: 0px;
}

a {
 color: #cf1d24;
}

a.target {
 padding-top: 40px;
 margin-top: -40px;
}

p {
 font-family: arial;
 font-size: 13;
 margin: 9px 40px 5px 40px;
 padding-bottom: 0px;
 color: #555555;
 max-width: 800px;
}

h1 {
 font-size: 30;
 color: #cf1d24;
 font-weight: bold;
 margin-left: 20px;
 margin-top: 32px;
 margin-bottom: 15px;
 margin-right: 20px;
 padding-top: 0px;
}

h2 {
 font-size: 20;
 color: #cf1d24;
 font-weight: bold;
 margin-left: 20px;
 margin-right: 20px;
 margin-top: 5px;
 margin-bottom: 9px;
}

h3 {
 background: url('./DocumentationFiles/dingbat3.png') no-repeat 0 0;
 font-size: 14px;
 font-family: helvetica;
 color: #4B4B4B;
 font-weight: bold;
 padding-left: 18px;
 margin-left: 20px;
 margin-right: 20px;
 margin-top: 12px;
 margin-bottom: 8px;
}

ul {
 font-family: arial;
 font-size: 13;
 margin: 9px 40px 5px 40px;
 padding-bottom: 0px;
 color: #555555;
 max-width: 800px;
 list-style-type: square;
}

li {
 margin-left: 0px;
 margin-top: 4px;
 margin-bottom: 2px;
 padding-left: 0px;
}

div.header {
 background: url('./DocumentationFiles/WSMLogo.png') no-repeat 0 0;
 height: 96px;
 margin-top: 35px;
 background-color: #871613;
}

.headerspan {
 font-family: arial;
 text-decoration: none;
 font-size: 12px;
 font-weight: bold;
 display: inline-block;
 height: 35px;
 color: gray;
 padding: 0px;
 margin: 0px;
 margin-left: 20px;
}

.headera {
 font-family: arial;
 text-decoration: none;
 font-size: 12px;
 font-weight: bold;
 padding: 0px;
 color: inherit;
 vertical-align: middle;
 margin: 0px;
}

.headerlinkdiv {
 background: black;
 padding: 0px;
 height: 35px;
 margin: 0px;
 position: fixed; top: 0px; left: 0px; width: 100%;
}

.contenttable {
 -webkit-box-shadow: 3px 3px 3px #DDDDDD;
 border-top: 3px solid #cf1d24;
 background: #f9f9f9;
 max-width: 500px;
 margin: 15px 15px 0px 20px;
 padding: 6px 10px 3px 10px;
}

.contenttableheader {
 color: #a4a4a4;
 font-size: 14px;
 font-family: arial;
}

.contenttabletable {
 border: 0px solid #FFFFFF;
 padding: 0px;
 padding-left: 20px;
}

.contenttable tr td {
 padding: 3px;
 min-width: 200px;
}

.contenttable tr td a {
 color: #555555;
 text-decoration: none;
 font-size: 13px;
 font-family: arial;
}

.hacek {
 color: #cf1d24;
 font-size: 25px;
 font-weight: plain;
 vertical-align: -40%;
}

.mathematicapointerwrapper {
 border: 0px solid #DDDDDD;
 margin: 15px 15px 15px 40px;
 padding: 0px;
 max-width: 500px;
}

.mathematicapointertop {
 border: 1px solid #DDDDDD;
 background-color: #F2F2F2;
 padding: 0px;
 max-width: 500px;
 height: 4px;
}

.mathematicapointerdiv {
 background: url('./DocumentationFiles/mathematicabook.png') no-repeat 5 5;
 border: 1px solid #DDDDDD;
 background-color: #FFFFFF;
 margin: 0px;
 padding: 15px 9px 9px 89px;
 max-width: 500px;
 min-height: 67px;
}

p.mathematicapointer {
 padding: 0px;
 margin: 0px;
 font-size: 12px;
}

.infoboxwrapper {
 border: 0px solid #DDDDDD;
 -webkit-box-shadow: 3px 3px 3px #DDDDDD;
 margin: 15px 15px 15px 40px;
 padding: 0px;
 max-width: 500px;
}

.infoboxtop {
 background: url('./DocumentationFiles/infotick.png') no-repeat 12 2;
 border: 1px solid #DDDDDD;
 background-color: #F2F2F2;
 padding: 0px;
 max-width: 500px;
 height: 37px;
}

div.infobox {
 border: 1px solid #DDDDDD;
 background-color: #FFFFFF;
 margin: 0px;
 padding: 15px;
 max-width: 500px;
}

p.infobox {
 padding: 0px;
 margin: 0px;
 font-size: 12px;
}

h2.legal {
 font-family: arial;
 font-size: 14;
 color: #cf1d24;
 margin: 15px 15px 15px 20px;
 font-weight: bold;
}

h3.legal {
 background: url('./DocumentationFiles/dingbat3.png') no-repeat 0 0;
 font-family: arial;
 font-size: 12;
 color: #808080;
 margin-left: 38px;
 padding-left: 12px;
 font-weight: bold;
}

ul.legal {
 font-size: 10px;
 font-family: arial;
 color: #555555;
 margin-left: 28px;
}

ul.legal li {
 margin-left: 0px;
 margin-top: 4px;
 margin-bottom: 2px;
 padding-left: 0px;
}

p.legallarge {
 font-size: 12px;
 margin-left: 38px;
}

p.legalsmall {
 font-size: 11px;
 margin-left: 38px;
 padding-left: 12px;
}

.legalend {
 height: 10px;
}

.variablename {
 font-family: Courier New, Courier;
}

.dialogelement {
 font-weight: bold;
}

.menuitem {
 font-weight: bold;
}

.mr {
 font-family: Courier New, Courier;
}


</style>
</head>
<body>

<div class=\"headerlinkdiv\">

<span class=\"headerspan\" style=\"background: url(DocumentationFiles/examples.png) no-repeat 0 0;
padding-left: 24px;
\"
onmouseover=\"
	this.style.color = 'white';
	this.style.background = 'url(DocumentationFiles/examples_active.png) no-repeat 0 0';
\"
onmouseout=\"
	this.style.color = 'gray';
	this.style.background = 'url(DocumentationFiles/examples.png) no-repeat 0 0';
\"><a href=\"http://www.wolfram.com/system-modeler/industry-examples/\" class=\"headera\">More Examples</a></span>

<span class=\"headerspan\" style=\"background: url(DocumentationFiles/video.png) no-repeat 0 0;
padding-left: 29px;
\"
onmouseover=\"
	this.style.color = 'white';
	this.style.background = 'url(DocumentationFiles/video_active.png) no-repeat 0 0';
\"
onmouseout=\"
	this.style.color = 'gray';
	this.style.background = 'url(DocumentationFiles/video.png) no-repeat 0 0';
\"><a href=\"http://www.wolfram.com/system-modeler/resources/get-started/\" class=\"headera\">Introductory Videos</a></span>

<span class=\"headerspan\" style=\"background: url(DocumentationFiles/docs.png) no-repeat 0 0;
padding-left: 20px;
\"
onmouseover=\"
	this.style.color = 'white';
	this.style.background = 'url(DocumentationFiles/docs_active.png) no-repeat 0 0';
\"
onmouseout=\"
	this.style.color = 'gray';
	this.style.background = 'url(DocumentationFiles/docs.png) no-repeat 0 0';
\"><a href=\"http://reference.wolfram.com/system-modeler\" class=\"headera\">Documentation</a></span>

<span class=\"headerspan\" style=\"background: url(DocumentationFiles/contact.png) no-repeat 0 0;
padding-left: 24px;
\"
onmouseover=\"
	this.style.color = 'white';
	this.style.background = 'url(DocumentationFiles/contact_active.png) no-repeat 0 0';
\"
onmouseout=\"
	this.style.color = 'gray';
	this.style.background = 'url(DocumentationFiles/contact.png) no-repeat 0 0';
\"><a href=\"http://www.wolfram.com/system-modeler/contact-us/\" class=\"headera\">Contact Us</a></span>
</div><div class=\"header\">&nbsp;</div>
<h1>Joystick Joint</h1><a id=\"headerTag_Description\" class=\"target\">&nbsp;</a>
<h2>Description</h2>
<p class=\"\">
This component models a two-degree-of-freedom joystick joint.
</p><p class=\"\">
View the <a href=\"Modelica://Joystick.Components.JoystickJoint#diagram\">model diagram</a> for this model.
</p><h2 class=\"legal\"> <a href=\"#\" onclick=\"
if(document.getElementById('28').style.display == 'none'){
document.getElementById('28').style.display = 'block';
document.getElementById('show28').style.display = 'none';
document.getElementById('hide28').style.display = 'inline';
} else {
document.getElementById('28').style.display = 'none';
document.getElementById('show28').style.display = 'inline';
document.getElementById('hide28').style.display = 'none';
};
return false;\" style=\"text-decoration: inherit; color: inherit\"><img src=\"DocumentationFiles/showhide2.png\" alt=\"Show\" id=\"show28\" style=\"display: inline; vertical-align: text-bottom;\" /><img src=\"DocumentationFiles/showhide.png\" alt=\"Hide\" id=\"hide28\" style=\"display: none; vertical-align: text-bottom;\" />Terms and Conditions of Use</a> </h2>
<span id=\"28\" style=\"display: none;\"><p class=\"legallarge\">
This domain example is an informational resource made freely available by Wolfram Research.
</p><h3 class=\"legal\">Use of This Example</h3>
<span id=\"29\" style=\"display: block;\"><ul class=\"legal\"><li>You may not use this example for any purpose that is unlawful or dangerous.</li><li>You assume total responsibility and risk for your use of this example.</li><li>You may not present this example with any alteration to its trade dress, trademarks, or design.</li></ul></span><h3 class=\"legal\">License</h3>
<span id=\"30\" style=\"display: block;\"><p class=\"legalsmall\">
All content in this bundle is licensed under the Creative Commons Attribution-NonCommercial-ShareAlike 3.0 Unported License. By accessing the content or using it in any way, you accept and agree to be bound by the terms of this license. If you do not agree to these Terms of Use, you may not use this content. Wolfram Research reserves the right to change, modify, add to, or remove portions of these Terms of Use at any time without notice. Please refer back to <a href=\"http://www.wolfram.com\">www.wolfram.com</a> for the latest Terms of Use.
</p><p class=\"legalsmall\">
A summary of the licensing terms can be found at:<br>
<a href=\"http://creativecommons.org/licenses/by-nc-sa/3.0\">http://creativecommons.org/licenses/by-nc-sa/3.0</a>
</p><p class=\"legalsmall\">
The full legal code can be found at:<br>
<a href=\"http://creativecommons.org/licenses/by-nc-sa/3.0/legalcode\">http://creativecommons.org/licenses/by-nc-sa/3.0/legalcode</a>
</p></span></span><div class=\"legalend\">&nbsp;</div>
</body>
<!--WSMINSERTIONTAGEND JoystickJoint --></html>", revisions=""), Icon(coordinateSystem(extent={{-100.0,-100.0},{100.0,100.0}}, preserveAspectRatio=true, initialScale=0.1, grid={10,10}), graphics={Rectangle(visible=true, origin={-0.0,10.0}, fillColor={192,192,192}, fillPattern=FillPattern.HorizontalCylinder, extent={{30.0,-60.0},{100.0,60.0}}),Rectangle(visible=true, origin={0.0,10.0}, extent={{30.0,-60.0},{100.0,60.0}}),Text(visible=true, origin={9.0,4.0}, lineColor={128,128,128}, fillPattern=FillPattern.Solid, extent={{51.0,-14.0},{87.0,11.0}}, textString="a", fontName="Arial"),Rectangle(visible=true, origin={-25.7782,0.0}, fillColor={192,192,192}, fillPattern=FillPattern.Solid, extent={{-54.2218,-10.0},{54.2218,11.0}}),Text(visible=not useAxisFlange, origin={0.0,-170.0}, lineColor={0,0,255}, extent={{-150.0,70.0},{150.0,130.0}}, textString="%name", fontName="Arial"),Rectangle(visible=true, origin={-1.5564,25.0}, rotation=-90, fillColor={192,192,192}, fillPattern=FillPattern.Solid, extent={{-55.0,-10.0},{55.0,11.0}})}), Diagram(coordinateSystem(extent={{-148.5,-105.0},{148.5,105.0}}, preserveAspectRatio=true, initialScale=0.1, grid={10,10})));
      parameter Modelica.SIunits.RotationalDampingConstant d(final min=0, start=0) "Damping constant";
      Modelica.Mechanics.MultiBody.Joints.Revolute revolute1(useAxisFlange=true, n={1,0,0}, phi.start=initialxangle) annotation(Placement(visible=true, transformation(origin={-50.0,0.0}, extent={{-10.0,-10.0},{10.0,10.0}}, rotation=0)));
      Modelica.Mechanics.MultiBody.Joints.Revolute revolute2(n={0,0,1}, useAxisFlange=true, phi.start=initialyangle) annotation(Placement(visible=true, transformation(origin={-0.0,60.0}, extent={{-10.0,-10.0},{10.0,10.0}}, rotation=-270)));
      Modelica.Mechanics.Rotational.Components.Damper damper1(d=d) annotation(Placement(visible=true, transformation(origin={-50.0,30.0}, extent={{-10.0,-10.0},{10.0,10.0}}, rotation=0)));
      Modelica.Mechanics.Rotational.Components.Damper damper2(d=d) annotation(Placement(visible=true, transformation(origin={-30.0,60.0}, extent={{-10.0,-10.0},{10.0,10.0}}, rotation=-270)));
      Modelica.Mechanics.Rotational.Interfaces.Flange_a flange_a1 annotation(Placement(visible=true, transformation(origin={-148.1121,-60.0}, extent={{-10.0,-10.0},{10.0,10.0}}, rotation=0), iconTransformation(origin={-100.0,-45.3942}, extent={{-10.0,-10.0},{10.0,10.0}}, rotation=0)));
      Modelica.Mechanics.Rotational.Interfaces.Flange_a flange_a2 annotation(Placement(visible=true, transformation(origin={-70.0,105.1826}, extent={{-10.0,-10.0},{10.0,10.0}}, rotation=0), iconTransformation(origin={-47.21,100.0}, extent={{-10.0,-10.0},{10.0,10.0}}, rotation=0)));
      Modelica.Mechanics.MultiBody.Interfaces.Frame_b frame_b1 annotation(Placement(visible=true, transformation(origin={148.3634,0.0}, extent={{-16.0,-16.0},{16.0,16.0}}, rotation=0), iconTransformation(origin={101.0101,0.0}, extent={{-16.0,-16.0},{16.0,16.0}}, rotation=0)));
      Modelica.Mechanics.MultiBody.Interfaces.Frame_a frame_a1 annotation(Placement(visible=true, transformation(origin={-147.8179,0.0}, extent={{-16.0,-16.0},{16.0,16.0}}, rotation=0), iconTransformation(origin={-100.0,-4.0}, extent={{-16.0,-16.0},{16.0,16.0}}, rotation=0)));
      parameter Modelica.SIunits.Angle initialxangle=0;
      parameter Modelica.SIunits.Angle initialyangle=0;
    equation 
      connect(revolute2.axis,flange_a2) annotation(Line(visible=true, origin={-7.24,80.8729}, points={{-2.76,-20.8729},{-5.86,-20.8729},{-5.86,9.1271},{-62.76,9.1271},{-62.76,24.3097}}));
      connect(revolute1.axis,flange_a1) annotation(Line(visible=true, origin={-75.4446,-3.4}, points={{25.4446,13.4},{25.4446,16.5},{55.4446,16.5},{55.4446,-26.6},{55.4446,-56.6},{-44.5554,-56.6},{-72.6675,-56.6}}));
      connect(revolute1.frame_a,frame_a1) annotation(Line(visible=true, origin={-103.9089,0.0}, points={{43.9089,0.0},{-43.9089,0.0}}));
      connect(revolute2.frame_b,frame_b1) annotation(Line(visible=true, origin={42.0,46.0}, points={{-42.0,24.0},{-42.0,34.0},{-12.0,34.0},{-12.0,-46.0},{106.3634,-46.0}}, color={95,95,95}));
      connect(revolute1.frame_b,revolute2.frame_a) annotation(Line(visible=true, origin={-13.3333,16.6667}, points={{-26.6667,-16.6667},{13.3333,-16.6667},{13.3333,33.3333}}));
      connect(revolute1.axis,damper1.flange_b) annotation(Line(visible=true, origin={-42.8,19.24}, points={{-7.2,-9.24},{-7.2,-6.14},{5.8,-6.14},{5.8,10.76},{2.8,10.76}}));
      connect(damper1.flange_a,revolute1.support) annotation(Line(visible=true, origin={-59.6,19.24}, points={{-0.4,10.76},{-3.4,10.76},{-3.4,-6.14},{3.6,-6.14},{3.6,-9.24}}));
      connect(damper2.flange_b,revolute2.axis) annotation(Line(visible=true, origin={-19.24,67.2}, points={{-10.76,2.8},{-10.76,5.8},{6.14,5.8},{6.14,-7.2},{9.24,-7.2}}));
      connect(damper2.flange_a,revolute2.support) annotation(Line(visible=true, origin={-19.24,50.4}, points={{-10.76,-0.4},{-10.76,-3.4},{6.14,-3.4},{6.14,3.6},{9.24,3.6}}));
    end JoystickJoint;

    model ThreeSpringReturn "Joystick re-centering mechanism with three tension springs"
      annotation(Documentation(info="<html><!--WSMINSERTIONTAGSTART ThreeSpringReturn -->
<head>
<style type=\"text/css\">

body {
 padding: 0px;
 margin: 0px;
}

a {
 color: #cf1d24;
}

a.target {
 padding-top: 40px;
 margin-top: -40px;
}

p {
 font-family: arial;
 font-size: 13;
 margin: 9px 40px 5px 40px;
 padding-bottom: 0px;
 color: #555555;
 max-width: 800px;
}

h1 {
 font-size: 30;
 color: #cf1d24;
 font-weight: bold;
 margin-left: 20px;
 margin-top: 32px;
 margin-bottom: 15px;
 margin-right: 20px;
 padding-top: 0px;
}

h2 {
 font-size: 20;
 color: #cf1d24;
 font-weight: bold;
 margin-left: 20px;
 margin-right: 20px;
 margin-top: 5px;
 margin-bottom: 9px;
}

h3 {
 background: url('./DocumentationFiles/dingbat3.png') no-repeat 0 0;
 font-size: 14px;
 font-family: helvetica;
 color: #4B4B4B;
 font-weight: bold;
 padding-left: 18px;
 margin-left: 20px;
 margin-right: 20px;
 margin-top: 12px;
 margin-bottom: 8px;
}

ul {
 font-family: arial;
 font-size: 13;
 margin: 9px 40px 5px 40px;
 padding-bottom: 0px;
 color: #555555;
 max-width: 800px;
 list-style-type: square;
}

li {
 margin-left: 0px;
 margin-top: 4px;
 margin-bottom: 2px;
 padding-left: 0px;
}

div.header {
 background: url('./DocumentationFiles/WSMLogo.png') no-repeat 0 0;
 height: 96px;
 margin-top: 35px;
 background-color: #871613;
}

.headerspan {
 font-family: arial;
 text-decoration: none;
 font-size: 12px;
 font-weight: bold;
 display: inline-block;
 height: 35px;
 color: gray;
 padding: 0px;
 margin: 0px;
 margin-left: 20px;
}

.headera {
 font-family: arial;
 text-decoration: none;
 font-size: 12px;
 font-weight: bold;
 padding: 0px;
 color: inherit;
 vertical-align: middle;
 margin: 0px;
}

.headerlinkdiv {
 background: black;
 padding: 0px;
 height: 35px;
 margin: 0px;
 position: fixed; top: 0px; left: 0px; width: 100%;
}

.contenttable {
 -webkit-box-shadow: 3px 3px 3px #DDDDDD;
 border-top: 3px solid #cf1d24;
 background: #f9f9f9;
 max-width: 500px;
 margin: 15px 15px 0px 20px;
 padding: 6px 10px 3px 10px;
}

.contenttableheader {
 color: #a4a4a4;
 font-size: 14px;
 font-family: arial;
}

.contenttabletable {
 border: 0px solid #FFFFFF;
 padding: 0px;
 padding-left: 20px;
}

.contenttable tr td {
 padding: 3px;
 min-width: 200px;
}

.contenttable tr td a {
 color: #555555;
 text-decoration: none;
 font-size: 13px;
 font-family: arial;
}

.hacek {
 color: #cf1d24;
 font-size: 25px;
 font-weight: plain;
 vertical-align: -40%;
}

.mathematicapointerwrapper {
 border: 0px solid #DDDDDD;
 margin: 15px 15px 15px 40px;
 padding: 0px;
 max-width: 500px;
}

.mathematicapointertop {
 border: 1px solid #DDDDDD;
 background-color: #F2F2F2;
 padding: 0px;
 max-width: 500px;
 height: 4px;
}

.mathematicapointerdiv {
 background: url('./DocumentationFiles/mathematicabook.png') no-repeat 5 5;
 border: 1px solid #DDDDDD;
 background-color: #FFFFFF;
 margin: 0px;
 padding: 15px 9px 9px 89px;
 max-width: 500px;
 min-height: 67px;
}

p.mathematicapointer {
 padding: 0px;
 margin: 0px;
 font-size: 12px;
}

.infoboxwrapper {
 border: 0px solid #DDDDDD;
 -webkit-box-shadow: 3px 3px 3px #DDDDDD;
 margin: 15px 15px 15px 40px;
 padding: 0px;
 max-width: 500px;
}

.infoboxtop {
 background: url('./DocumentationFiles/infotick.png') no-repeat 12 2;
 border: 1px solid #DDDDDD;
 background-color: #F2F2F2;
 padding: 0px;
 max-width: 500px;
 height: 37px;
}

div.infobox {
 border: 1px solid #DDDDDD;
 background-color: #FFFFFF;
 margin: 0px;
 padding: 15px;
 max-width: 500px;
}

p.infobox {
 padding: 0px;
 margin: 0px;
 font-size: 12px;
}

h2.legal {
 font-family: arial;
 font-size: 14;
 color: #cf1d24;
 margin: 15px 15px 15px 20px;
 font-weight: bold;
}

h3.legal {
 background: url('./DocumentationFiles/dingbat3.png') no-repeat 0 0;
 font-family: arial;
 font-size: 12;
 color: #808080;
 margin-left: 38px;
 padding-left: 12px;
 font-weight: bold;
}

ul.legal {
 font-size: 10px;
 font-family: arial;
 color: #555555;
 margin-left: 28px;
}

ul.legal li {
 margin-left: 0px;
 margin-top: 4px;
 margin-bottom: 2px;
 padding-left: 0px;
}

p.legallarge {
 font-size: 12px;
 margin-left: 38px;
}

p.legalsmall {
 font-size: 11px;
 margin-left: 38px;
 padding-left: 12px;
}

.legalend {
 height: 10px;
}

.variablename {
 font-family: Courier New, Courier;
}

.dialogelement {
 font-weight: bold;
}

.menuitem {
 font-weight: bold;
}

.mr {
 font-family: Courier New, Courier;
}


</style>
</head>
<body>

<div class=\"headerlinkdiv\">

<span class=\"headerspan\" style=\"background: url(DocumentationFiles/examples.png) no-repeat 0 0;
padding-left: 24px;
\"
onmouseover=\"
	this.style.color = 'white';
	this.style.background = 'url(DocumentationFiles/examples_active.png) no-repeat 0 0';
\"
onmouseout=\"
	this.style.color = 'gray';
	this.style.background = 'url(DocumentationFiles/examples.png) no-repeat 0 0';
\"><a href=\"http://www.wolfram.com/system-modeler/industry-examples/\" class=\"headera\">More Examples</a></span>

<span class=\"headerspan\" style=\"background: url(DocumentationFiles/video.png) no-repeat 0 0;
padding-left: 29px;
\"
onmouseover=\"
	this.style.color = 'white';
	this.style.background = 'url(DocumentationFiles/video_active.png) no-repeat 0 0';
\"
onmouseout=\"
	this.style.color = 'gray';
	this.style.background = 'url(DocumentationFiles/video.png) no-repeat 0 0';
\"><a href=\"http://www.wolfram.com/system-modeler/resources/get-started/\" class=\"headera\">Introductory Videos</a></span>

<span class=\"headerspan\" style=\"background: url(DocumentationFiles/docs.png) no-repeat 0 0;
padding-left: 20px;
\"
onmouseover=\"
	this.style.color = 'white';
	this.style.background = 'url(DocumentationFiles/docs_active.png) no-repeat 0 0';
\"
onmouseout=\"
	this.style.color = 'gray';
	this.style.background = 'url(DocumentationFiles/docs.png) no-repeat 0 0';
\"><a href=\"http://reference.wolfram.com/system-modeler\" class=\"headera\">Documentation</a></span>

<span class=\"headerspan\" style=\"background: url(DocumentationFiles/contact.png) no-repeat 0 0;
padding-left: 24px;
\"
onmouseover=\"
	this.style.color = 'white';
	this.style.background = 'url(DocumentationFiles/contact_active.png) no-repeat 0 0';
\"
onmouseout=\"
	this.style.color = 'gray';
	this.style.background = 'url(DocumentationFiles/contact.png) no-repeat 0 0';
\"><a href=\"http://www.wolfram.com/system-modeler/contact-us/\" class=\"headera\">Contact Us</a></span>
</div><div class=\"header\">&nbsp;</div>
<h1>Three-Spring Return Mechanism</h1><a id=\"headerTag_Description\" class=\"target\">&nbsp;</a>
<h2>Description</h2>
<p class=\"\">
This component models a joystick re-centering mechanism based on a symmetrical arrangement of three tension springs.
</p><p class=\"\">
View the <a href=\"Modelica://Joystick.Components.ThreeSpringReturn#diagram\">model diagram</a> for this model.
</p><h2 class=\"legal\"> <a href=\"#\" onclick=\"
if(document.getElementById('40').style.display == 'none'){
document.getElementById('40').style.display = 'block';
document.getElementById('show40').style.display = 'none';
document.getElementById('hide40').style.display = 'inline';
} else {
document.getElementById('40').style.display = 'none';
document.getElementById('show40').style.display = 'inline';
document.getElementById('hide40').style.display = 'none';
};
return false;\" style=\"text-decoration: inherit; color: inherit\"><img src=\"DocumentationFiles/showhide2.png\" alt=\"Show\" id=\"show40\" style=\"display: inline; vertical-align: text-bottom;\" /><img src=\"DocumentationFiles/showhide.png\" alt=\"Hide\" id=\"hide40\" style=\"display: none; vertical-align: text-bottom;\" />Terms and Conditions of Use</a> </h2>
<span id=\"40\" style=\"display: none;\"><p class=\"legallarge\">
This domain example is an informational resource made freely available by Wolfram Research.
</p><h3 class=\"legal\">Use of This Example</h3>
<span id=\"41\" style=\"display: block;\"><ul class=\"legal\"><li>You may not use this example for any purpose that is unlawful or dangerous.</li><li>You assume total responsibility and risk for your use of this example.</li><li>You may not present this example with any alteration to its trade dress, trademarks, or design.</li></ul></span><h3 class=\"legal\">License</h3>
<span id=\"42\" style=\"display: block;\"><p class=\"legalsmall\">
All content in this bundle is licensed under the Creative Commons Attribution-NonCommercial-ShareAlike 3.0 Unported License. By accessing the content or using it in any way, you accept and agree to be bound by the terms of this license. If you do not agree to these Terms of Use, you may not use this content. Wolfram Research reserves the right to change, modify, add to, or remove portions of these Terms of Use at any time without notice. Please refer back to <a href=\"http://www.wolfram.com\">www.wolfram.com</a> for the latest Terms of Use.
</p><p class=\"legalsmall\">
A summary of the licensing terms can be found at:<br>
<a href=\"http://creativecommons.org/licenses/by-nc-sa/3.0\">http://creativecommons.org/licenses/by-nc-sa/3.0</a>
</p><p class=\"legalsmall\">
The full legal code can be found at:<br>
<a href=\"http://creativecommons.org/licenses/by-nc-sa/3.0/legalcode\">http://creativecommons.org/licenses/by-nc-sa/3.0/legalcode</a>
</p></span></span><div class=\"legalend\">&nbsp;</div>
</body>
<!--WSMINSERTIONTAGEND ThreeSpringReturn --></html>", revisions=""), Icon(coordinateSystem(extent={{-100.0,-100.0},{100.0,100.0}}, preserveAspectRatio=true, initialScale=0.1, grid={10,10}), graphics={Line(visible=true, origin={-47.1429,2.8571}, points={{-32.8571,-2.8571},{-22.8571,-2.8571},{-12.8571,17.1429},{-2.8571,-22.8571},{7.1429,17.1429},{17.1429,-2.8571},{47.1429,-2.8571}}),Line(visible=true, origin={45.7143,48.5714}, points={{-45.7143,-48.5714},{-15.7143,-18.5714},{-15.7143,1.4286},{14.2857,-8.5714},{4.2857,21.4286},{24.2857,21.4286},{34.2857,31.4286}}),Line(visible=true, origin={48.5714,-45.7143}, rotation=-90, points={{-45.7143,-48.5714},{-15.7143,-18.5714},{-15.7143,1.4286},{14.2857,-8.5714},{4.2857,21.4286},{24.2857,21.4286},{34.2857,31.4286}}),Line(visible=true, origin={-90.0,0.0}, points={{0.0,10.0},{0.0,-10.0}}, thickness=2),Line(visible=true, origin={90.0,90.0}, points={{-10.0,10.0},{10.0,-10.0}}, thickness=2),Line(visible=true, origin={90.0,-90.0}, points={{10.0,10.0},{-10.0,-10.0}}, thickness=2),Line(visible=true, origin={80.0,80.0}, points={{-10.0,10.0},{10.0,-10.0}}, thickness=2),Line(visible=true, origin={-80.0,0.0}, points={{0.0,10.0},{0.0,-10.0}}, thickness=2),Line(visible=true, origin={80.0,-80.0}, points={{10.0,10.0},{-10.0,-10.0}}, thickness=2),Text(visible=not useAxisFlange, origin={0.0,-170.0}, lineColor={0,0,255}, extent={{-150.0,70.0},{150.0,130.0}}, textString="%name", fontName="Arial")}), Diagram(coordinateSystem(extent={{-148.5,-105.0},{148.5,105.0}}, preserveAspectRatio=true, initialScale=0.1, grid={10,10})));
      parameter Modelica.SIunits.TranslationalSpringConstant c(final min=0) "Spring constant";
      parameter Real d(final unit="N/ (m/s)", final min=0, start=1) "Damping constant";
      parameter Modelica.SIunits.Length spring_height(final min=0, start=-0.02) "Height of tension springs fixed connections";
      parameter Modelica.SIunits.Length s_unstretched(final min=0, start=0.02) "Unstretched length of each tension spring";
      Joystick.Components.TensionSpringDamper tensionSpring1(s_unstretched=s_unstretched, c=c, d=d, coilWidth=0.0013) annotation(Placement(visible=true, transformation(origin={-30.0,0.0}, extent={{-10.0,-10.0},{10.0,10.0}}, rotation=0)));
      Joystick.Components.TensionSpringDamper tensionSpring2(s_unstretched=s_unstretched, c=c, d=d, coilWidth=0.0013) annotation(Placement(visible=true, transformation(origin={20.0,-30.0}, extent={{-10.0,-10.0},{10.0,10.0}}, rotation=-270)));
      Joystick.Components.TensionSpringDamper tensionSpring3(s_unstretched=s_unstretched, c=c, d=d, coilWidth=0.0013) annotation(Placement(visible=true, transformation(origin={20.0,30.0}, extent={{-10.0,-10.0},{10.0,10.0}}, rotation=-450)));
      Modelica.Mechanics.MultiBody.Interfaces.Frame_b frame_b1 annotation(Placement(visible=true, transformation(origin={-0.0,0.0}, extent={{-16.0,-16.0},{16.0,16.0}}, rotation=0), iconTransformation(origin={0.0,0.0}, extent={{-16.0,-16.0},{16.0,16.0}}, rotation=0)));
      Modelica.Mechanics.MultiBody.Interfaces.Frame_a frame_a1 annotation(Placement(visible=true, transformation(origin={-150.0,0.0}, extent={{-16.0,-16.0},{16.0,16.0}}, rotation=0), iconTransformation(origin={-101.0101,0.0}, extent={{-16.0,-16.0},{16.0,16.0}}, rotation=0)));
      Modelica.Mechanics.MultiBody.Parts.FixedTranslation fixedTranslation1(r={-1*s_unstretched,0,0}) annotation(Placement(visible=true, transformation(origin={-80.0,-0.0}, extent={{-10.0,-10.0},{10.0,10.0}}, rotation=0)));
      Modelica.Mechanics.MultiBody.Parts.FixedTranslation fixedTranslation2(r={s_unstretched*0.5,0,s_unstretched*0.866}) annotation(Placement(visible=true, transformation(origin={20.0,70.0}, extent={{-10.0,-10.0},{10.0,10.0}}, rotation=-90)));
      Modelica.Mechanics.MultiBody.Parts.FixedTranslation fixedTranslation3(r={s_unstretched*0.5,0,-s_unstretched*0.866}) annotation(Placement(visible=true, transformation(origin={20.0,-70.0}, extent={{-10.0,-10.0},{10.0,10.0}}, rotation=-270)));
    equation 
      connect(fixedTranslation3.frame_a,frame_a1) annotation(Line(visible=true, origin={-74.0,-49.2}, points={{94.0,-30.8},{94.0,-33.8},{-56.0,-33.8},{-56.0,49.2},{-76.0,49.2}}));
      connect(tensionSpring2.frame_a,fixedTranslation3.frame_b) annotation(Line(visible=true, origin={20.0,-50.0}, points={{0.0,10.0},{0.0,-10.0}}));
      connect(fixedTranslation2.frame_a,frame_a1) annotation(Line(visible=true, origin={-74.0,52.0}, points={{94.0,28.0},{94.0,38.0},{-56.0,38.0},{-56.0,-52.0},{-76.0,-52.0}}));
      connect(tensionSpring3.frame_a,fixedTranslation2.frame_b) annotation(Line(visible=true, origin={20.0,50.0}, points={{-0.0,-10.0},{0.0,10.0}}));
      connect(fixedTranslation1.frame_b,tensionSpring1.frame_a) annotation(Line(visible=true, origin={-55.0,-0.0}, points={{-15.0,-0.0},{15.0,0.0}}));
      connect(frame_a1,fixedTranslation1.frame_a) annotation(Line(visible=true, origin={-120.0,-0.0}, points={{-30.0,0.0},{30.0,-0.0}}));
      connect(tensionSpring1.frame_b,frame_b1) annotation(Line(visible=true, origin={-10.0,0.0}, points={{-10.0,0.0},{10.0,0.0}}));
      connect(tensionSpring3.frame_b,frame_b1) annotation(Line(visible=true, origin={10.0,31.7311}, points={{10.0,-11.7311},{10.0,-31.7311},{-10.0,-31.7311},{-10.0,-31.7311}}));
      connect(tensionSpring2.frame_b,frame_b1) annotation(Line(visible=true, origin={10.0,21.7311}, points={{10.0,-41.7311},{10.0,-21.7311},{-10.0,-21.7311},{-10.0,-21.7311}}));
    end ThreeSpringReturn;

    model FourSpringReturn "Joystick re-centering mechanism with four tension springs"
      annotation(Documentation(info="<html><!--WSMINSERTIONTAGSTART FourSpringReturn -->
<head>
<style type=\"text/css\">

body {
 padding: 0px;
 margin: 0px;
}

a {
 color: #cf1d24;
}

a.target {
 padding-top: 40px;
 margin-top: -40px;
}

p {
 font-family: arial;
 font-size: 13;
 margin: 9px 40px 5px 40px;
 padding-bottom: 0px;
 color: #555555;
 max-width: 800px;
}

h1 {
 font-size: 30;
 color: #cf1d24;
 font-weight: bold;
 margin-left: 20px;
 margin-top: 32px;
 margin-bottom: 15px;
 margin-right: 20px;
 padding-top: 0px;
}

h2 {
 font-size: 20;
 color: #cf1d24;
 font-weight: bold;
 margin-left: 20px;
 margin-right: 20px;
 margin-top: 5px;
 margin-bottom: 9px;
}

h3 {
 background: url('./DocumentationFiles/dingbat3.png') no-repeat 0 0;
 font-size: 14px;
 font-family: helvetica;
 color: #4B4B4B;
 font-weight: bold;
 padding-left: 18px;
 margin-left: 20px;
 margin-right: 20px;
 margin-top: 12px;
 margin-bottom: 8px;
}

ul {
 font-family: arial;
 font-size: 13;
 margin: 9px 40px 5px 40px;
 padding-bottom: 0px;
 color: #555555;
 max-width: 800px;
 list-style-type: square;
}

li {
 margin-left: 0px;
 margin-top: 4px;
 margin-bottom: 2px;
 padding-left: 0px;
}

div.header {
 background: url('./DocumentationFiles/WSMLogo.png') no-repeat 0 0;
 height: 96px;
 margin-top: 35px;
 background-color: #871613;
}

.headerspan {
 font-family: arial;
 text-decoration: none;
 font-size: 12px;
 font-weight: bold;
 display: inline-block;
 height: 35px;
 color: gray;
 padding: 0px;
 margin: 0px;
 margin-left: 20px;
}

.headera {
 font-family: arial;
 text-decoration: none;
 font-size: 12px;
 font-weight: bold;
 padding: 0px;
 color: inherit;
 vertical-align: middle;
 margin: 0px;
}

.headerlinkdiv {
 background: black;
 padding: 0px;
 height: 35px;
 margin: 0px;
 position: fixed; top: 0px; left: 0px; width: 100%;
}

.contenttable {
 -webkit-box-shadow: 3px 3px 3px #DDDDDD;
 border-top: 3px solid #cf1d24;
 background: #f9f9f9;
 max-width: 500px;
 margin: 15px 15px 0px 20px;
 padding: 6px 10px 3px 10px;
}

.contenttableheader {
 color: #a4a4a4;
 font-size: 14px;
 font-family: arial;
}

.contenttabletable {
 border: 0px solid #FFFFFF;
 padding: 0px;
 padding-left: 20px;
}

.contenttable tr td {
 padding: 3px;
 min-width: 200px;
}

.contenttable tr td a {
 color: #555555;
 text-decoration: none;
 font-size: 13px;
 font-family: arial;
}

.hacek {
 color: #cf1d24;
 font-size: 25px;
 font-weight: plain;
 vertical-align: -40%;
}

.mathematicapointerwrapper {
 border: 0px solid #DDDDDD;
 margin: 15px 15px 15px 40px;
 padding: 0px;
 max-width: 500px;
}

.mathematicapointertop {
 border: 1px solid #DDDDDD;
 background-color: #F2F2F2;
 padding: 0px;
 max-width: 500px;
 height: 4px;
}

.mathematicapointerdiv {
 background: url('./DocumentationFiles/mathematicabook.png') no-repeat 5 5;
 border: 1px solid #DDDDDD;
 background-color: #FFFFFF;
 margin: 0px;
 padding: 15px 9px 9px 89px;
 max-width: 500px;
 min-height: 67px;
}

p.mathematicapointer {
 padding: 0px;
 margin: 0px;
 font-size: 12px;
}

.infoboxwrapper {
 border: 0px solid #DDDDDD;
 -webkit-box-shadow: 3px 3px 3px #DDDDDD;
 margin: 15px 15px 15px 40px;
 padding: 0px;
 max-width: 500px;
}

.infoboxtop {
 background: url('./DocumentationFiles/infotick.png') no-repeat 12 2;
 border: 1px solid #DDDDDD;
 background-color: #F2F2F2;
 padding: 0px;
 max-width: 500px;
 height: 37px;
}

div.infobox {
 border: 1px solid #DDDDDD;
 background-color: #FFFFFF;
 margin: 0px;
 padding: 15px;
 max-width: 500px;
}

p.infobox {
 padding: 0px;
 margin: 0px;
 font-size: 12px;
}

h2.legal {
 font-family: arial;
 font-size: 14;
 color: #cf1d24;
 margin: 15px 15px 15px 20px;
 font-weight: bold;
}

h3.legal {
 background: url('./DocumentationFiles/dingbat3.png') no-repeat 0 0;
 font-family: arial;
 font-size: 12;
 color: #808080;
 margin-left: 38px;
 padding-left: 12px;
 font-weight: bold;
}

ul.legal {
 font-size: 10px;
 font-family: arial;
 color: #555555;
 margin-left: 28px;
}

ul.legal li {
 margin-left: 0px;
 margin-top: 4px;
 margin-bottom: 2px;
 padding-left: 0px;
}

p.legallarge {
 font-size: 12px;
 margin-left: 38px;
}

p.legalsmall {
 font-size: 11px;
 margin-left: 38px;
 padding-left: 12px;
}

.legalend {
 height: 10px;
}

.variablename {
 font-family: Courier New, Courier;
}

.dialogelement {
 font-weight: bold;
}

.menuitem {
 font-weight: bold;
}

.mr {
 font-family: Courier New, Courier;
}


</style>
</head>
<body>

<div class=\"headerlinkdiv\">

<span class=\"headerspan\" style=\"background: url(DocumentationFiles/examples.png) no-repeat 0 0;
padding-left: 24px;
\"
onmouseover=\"
	this.style.color = 'white';
	this.style.background = 'url(DocumentationFiles/examples_active.png) no-repeat 0 0';
\"
onmouseout=\"
	this.style.color = 'gray';
	this.style.background = 'url(DocumentationFiles/examples.png) no-repeat 0 0';
\"><a href=\"http://www.wolfram.com/system-modeler/industry-examples/\" class=\"headera\">More Examples</a></span>

<span class=\"headerspan\" style=\"background: url(DocumentationFiles/video.png) no-repeat 0 0;
padding-left: 29px;
\"
onmouseover=\"
	this.style.color = 'white';
	this.style.background = 'url(DocumentationFiles/video_active.png) no-repeat 0 0';
\"
onmouseout=\"
	this.style.color = 'gray';
	this.style.background = 'url(DocumentationFiles/video.png) no-repeat 0 0';
\"><a href=\"http://www.wolfram.com/system-modeler/resources/get-started/\" class=\"headera\">Introductory Videos</a></span>

<span class=\"headerspan\" style=\"background: url(DocumentationFiles/docs.png) no-repeat 0 0;
padding-left: 20px;
\"
onmouseover=\"
	this.style.color = 'white';
	this.style.background = 'url(DocumentationFiles/docs_active.png) no-repeat 0 0';
\"
onmouseout=\"
	this.style.color = 'gray';
	this.style.background = 'url(DocumentationFiles/docs.png) no-repeat 0 0';
\"><a href=\"http://reference.wolfram.com/system-modeler\" class=\"headera\">Documentation</a></span>

<span class=\"headerspan\" style=\"background: url(DocumentationFiles/contact.png) no-repeat 0 0;
padding-left: 24px;
\"
onmouseover=\"
	this.style.color = 'white';
	this.style.background = 'url(DocumentationFiles/contact_active.png) no-repeat 0 0';
\"
onmouseout=\"
	this.style.color = 'gray';
	this.style.background = 'url(DocumentationFiles/contact.png) no-repeat 0 0';
\"><a href=\"http://www.wolfram.com/system-modeler/contact-us/\" class=\"headera\">Contact Us</a></span>
</div><div class=\"header\">&nbsp;</div>
<h1>Four-Spring Return Mechanism</h1><a id=\"headerTag_Description\" class=\"target\">&nbsp;</a>
<h2>Description</h2>
<p class=\"\">
This component models a joystick re-centering mechanism based on a symmetrical arrangement of four tension springs.
</p><p class=\"\">
View the <a href=\"Modelica://Joystick.Components.FourSpringReturn#diagram\">model diagram</a> for this model.
</p><h2 class=\"legal\"> <a href=\"#\" onclick=\"
if(document.getElementById('25').style.display == 'none'){
document.getElementById('25').style.display = 'block';
document.getElementById('show25').style.display = 'none';
document.getElementById('hide25').style.display = 'inline';
} else {
document.getElementById('25').style.display = 'none';
document.getElementById('show25').style.display = 'inline';
document.getElementById('hide25').style.display = 'none';
};
return false;\" style=\"text-decoration: inherit; color: inherit\"><img src=\"DocumentationFiles/showhide2.png\" alt=\"Show\" id=\"show25\" style=\"display: inline; vertical-align: text-bottom;\" /><img src=\"DocumentationFiles/showhide.png\" alt=\"Hide\" id=\"hide25\" style=\"display: none; vertical-align: text-bottom;\" />Terms and Conditions of Use</a> </h2>
<span id=\"25\" style=\"display: none;\"><p class=\"legallarge\">
This domain example is an informational resource made freely available by Wolfram Research.
</p><h3 class=\"legal\">Use of This Example</h3>
<span id=\"26\" style=\"display: block;\"><ul class=\"legal\"><li>You may not use this example for any purpose that is unlawful or dangerous.</li><li>You assume total responsibility and risk for your use of this example.</li><li>You may not present this example with any alteration to its trade dress, trademarks, or design.</li></ul></span><h3 class=\"legal\">License</h3>
<span id=\"27\" style=\"display: block;\"><p class=\"legalsmall\">
All content in this bundle is licensed under the Creative Commons Attribution-NonCommercial-ShareAlike 3.0 Unported License. By accessing the content or using it in any way, you accept and agree to be bound by the terms of this license. If you do not agree to these Terms of Use, you may not use this content. Wolfram Research reserves the right to change, modify, add to, or remove portions of these Terms of Use at any time without notice. Please refer back to <a href=\"http://www.wolfram.com\">www.wolfram.com</a> for the latest Terms of Use.
</p><p class=\"legalsmall\">
A summary of the licensing terms can be found at:<br>
<a href=\"http://creativecommons.org/licenses/by-nc-sa/3.0\">http://creativecommons.org/licenses/by-nc-sa/3.0</a>
</p><p class=\"legalsmall\">
The full legal code can be found at:<br>
<a href=\"http://creativecommons.org/licenses/by-nc-sa/3.0/legalcode\">http://creativecommons.org/licenses/by-nc-sa/3.0/legalcode</a>
</p></span></span><div class=\"legalend\">&nbsp;</div>
</body>
<!--WSMINSERTIONTAGEND FourSpringReturn --></html>", revisions=""), Icon(coordinateSystem(extent={{-100.0,-100.0},{100.0,100.0}}, preserveAspectRatio=true, initialScale=0.1, grid={10,10}), graphics={Line(visible=true, origin={-47.1429,2.8571}, points={{-32.8571,-2.8571},{-22.8571,-2.8571},{-12.8571,17.1429},{-2.8571,-22.8571},{7.1429,17.1429},{17.1429,-2.8571},{47.1429,-2.8571}}),Line(visible=true, origin={-90.0,0.0}, points={{0.0,10.0},{0.0,-10.0}}, thickness=2),Line(visible=true, origin={-80.0,0.0}, points={{0.0,10.0},{0.0,-10.0}}, thickness=2),Line(visible=true, origin={2.8571,47.1429}, rotation=-90, points={{-32.8571,-2.8571},{-22.8571,-2.8571},{-12.8571,17.1429},{-2.8571,-22.8571},{7.1429,17.1429},{17.1429,-2.8571},{47.1429,-2.8571}}),Line(visible=true, origin={0.0,80.0}, rotation=-90, points={{0.0,10.0},{0.0,-10.0}}, thickness=2),Line(visible=true, origin={0.0,90.0}, rotation=-90, points={{0.0,10.0},{0.0,-10.0}}, thickness=2),Line(visible=true, origin={0.0,-90.0}, rotation=-90, points={{0.0,10.0},{0.0,-10.0}}, thickness=2),Line(visible=true, origin={0.0,-80.0}, rotation=-90, points={{0.0,10.0},{0.0,-10.0}}, thickness=2),Line(visible=true, origin={-2.8571,-47.1429}, rotation=-270, points={{-32.8571,-2.8571},{-22.8571,-2.8571},{-12.8571,17.1429},{-2.8571,-22.8571},{7.1429,17.1429},{17.1429,-2.8571},{47.1429,-2.8571}}),Line(visible=true, origin={47.1429,-2.8571}, rotation=-180, points={{-32.8571,-2.8571},{-22.8571,-2.8571},{-12.8571,17.1429},{-2.8571,-22.8571},{7.1429,17.1429},{17.1429,-2.8571},{47.1429,-2.8571}}),Line(visible=true, origin={80.0,0.0}, points={{0.0,10.0},{0.0,-10.0}}, thickness=2),Line(visible=true, origin={90.0,0.0}, points={{0.0,10.0},{0.0,-10.0}}, thickness=2),Text(visible=not useAxisFlange, origin={0.0,-170.0}, lineColor={0,0,255}, extent={{-150.0,70.0},{150.0,130.0}}, textString="%name", fontName="Arial")}), Diagram(coordinateSystem(extent={{-148.5,-105.0},{148.5,105.0}}, preserveAspectRatio=true, initialScale=0.1, grid={10,10})));
      parameter Modelica.SIunits.TranslationalSpringConstant c(final min=0) "Spring constant";
      parameter Real d(final unit="N/ (m/s)", final min=0, start=1) "Damping constant";
      parameter Modelica.SIunits.Length spring_height(final min=0, start=-0.02) "Height of tension springs fixed connections";
      parameter Modelica.SIunits.Length s_unstretched(final min=0, start=0.02) "Unstretched length of each tension spring";
      Joystick.Components.TensionSpringDamper tensionSpring1(s_unstretched=s_unstretched, c=c, d=d, coilWidth=0.0013) annotation(Placement(visible=true, transformation(origin={-30.0,0.0}, extent={{-10.0,-10.0},{10.0,10.0}}, rotation=0)));
      Joystick.Components.TensionSpringDamper tensionSpring2(s_unstretched=s_unstretched, c=c, d=d, coilWidth=0.0013) annotation(Placement(visible=true, transformation(origin={0.0,-30.0}, extent={{-10.0,-10.0},{10.0,10.0}}, rotation=-270)));
      Joystick.Components.TensionSpringDamper tensionSpring3(s_unstretched=s_unstretched, c=c, d=d, coilWidth=0.0013) annotation(Placement(visible=true, transformation(origin={0.0,30.0}, extent={{-10.0,-10.0},{10.0,10.0}}, rotation=-450)));
      Modelica.Mechanics.MultiBody.Interfaces.Frame_b frame_b1 annotation(Placement(visible=true, transformation(origin={-0.0,0.0}, extent={{-16.0,-16.0},{16.0,16.0}}, rotation=0), iconTransformation(origin={0.0,0.0}, extent={{-16.0,-16.0},{16.0,16.0}}, rotation=0)));
      Modelica.Mechanics.MultiBody.Interfaces.Frame_a frame_a1 annotation(Placement(visible=true, transformation(origin={-150.0,0.0}, extent={{-16.0,-16.0},{16.0,16.0}}, rotation=0), iconTransformation(origin={-101.0101,0.0}, extent={{-16.0,-16.0},{16.0,16.0}}, rotation=0)));
      Modelica.Mechanics.MultiBody.Parts.FixedTranslation fixedTranslation1(r={-1*s_unstretched,0,0}) annotation(Placement(visible=true, transformation(origin={-80.0,-0.0}, extent={{-10.0,-10.0},{10.0,10.0}}, rotation=0)));
      Modelica.Mechanics.MultiBody.Parts.FixedTranslation fixedTranslation2(r={0,0,s_unstretched*1}) annotation(Placement(visible=true, transformation(origin={0.0,70.0}, extent={{-10.0,-10.0},{10.0,10.0}}, rotation=-90)));
      Modelica.Mechanics.MultiBody.Parts.FixedTranslation fixedTranslation3(r={0,0,-s_unstretched*1}) annotation(Placement(visible=true, transformation(origin={0.0,-70.0}, extent={{-10.0,-10.0},{10.0,10.0}}, rotation=-270)));
      Modelica.Mechanics.MultiBody.Parts.FixedTranslation fixedTranslation4(r={1*s_unstretched,0,0}) annotation(Placement(visible=true, transformation(origin={80.0,-0.0}, extent={{-10.0,-10.0},{10.0,10.0}}, rotation=-180)));
      Joystick.Components.TensionSpringDamper tensionSpring4(c=c, d=d, s_unstretched=s_unstretched, coilWidth=0.0013) annotation(Placement(visible=true, transformation(origin={40.0,-0.0}, extent={{-10.0,-10.0},{10.0,10.0}}, rotation=-180)));
    equation 
      connect(tensionSpring3.frame_a,fixedTranslation2.frame_b) annotation(Line(visible=true, origin={0.0,50.0}, points={{0.0,-10.0},{-0.0,10.0}}));
      connect(tensionSpring3.frame_b,frame_b1) annotation(Line(visible=true, origin={10.0,31.7311}, points={{-10.0,-11.7311},{-10.0,-31.7311},{-10.0,-31.7311},{-10.0,-31.7311}}));
      connect(fixedTranslation2.frame_a,frame_a1) annotation(Line(visible=true, origin={-74.0,52.0}, points={{74.0,28.0},{74.0,38.0},{-56.0,38.0},{-56.0,-52.0},{-76.0,-52.0}}));
      connect(tensionSpring4.frame_b,frame_b1) annotation(Line(visible=true, origin={15.0,-0.0}, points={{15.0,-0.0},{-15.0,0.0}}));
      connect(fixedTranslation3.frame_a,fixedTranslation4.frame_a) annotation(Line(visible=true, origin={62.0,-52.0}, points={{-62.0,-28.0},{-62.0,-38.0},{48.0,-38.0},{48.0,52.0},{28.0,52.0}}));
      connect(fixedTranslation4.frame_b,tensionSpring4.frame_a) annotation(Line(visible=true, origin={75.0,0.0}, rotation=-180, points={{5.0,0.0},{25.0,0.0}}));
      connect(fixedTranslation3.frame_a,frame_a1) annotation(Line(visible=true, origin={-74.0,-49.2}, points={{74.0,-30.8},{74.0,-40.8},{-56.0,-40.8},{-56.0,49.2},{-76.0,49.2}}));
      connect(tensionSpring2.frame_b,frame_b1) annotation(Line(visible=true, origin={10.0,21.7311}, points={{-10.0,-41.7311},{-10.0,-21.7311},{-10.0,-21.7311},{-10.0,-21.7311}}));
      connect(tensionSpring2.frame_a,fixedTranslation3.frame_b) annotation(Line(visible=true, origin={0.0,-50.0}, points={{0.0,10.0},{0.0,-10.0}}));
      connect(fixedTranslation1.frame_b,tensionSpring1.frame_a) annotation(Line(visible=true, origin={-55.0,-0.0}, points={{-15.0,-0.0},{15.0,0.0}}));
      connect(frame_a1,fixedTranslation1.frame_a) annotation(Line(visible=true, origin={-120.0,-0.0}, points={{-30.0,0.0},{30.0,-0.0}}));
      connect(tensionSpring1.frame_b,frame_b1) annotation(Line(visible=true, origin={-10.0,0.0}, points={{-10.0,0.0},{10.0,0.0}}));
    end FourSpringReturn;

    model SixSpringReturn "Joystick re-centering mechanism with six tension springs"
      annotation(Documentation(info="<html><!--WSMINSERTIONTAGSTART SixSpringReturn -->
<head>
<style type=\"text/css\">

body {
 padding: 0px;
 margin: 0px;
}

a {
 color: #cf1d24;
}

a.target {
 padding-top: 40px;
 margin-top: -40px;
}

p {
 font-family: arial;
 font-size: 13;
 margin: 9px 40px 5px 40px;
 padding-bottom: 0px;
 color: #555555;
 max-width: 800px;
}

h1 {
 font-size: 30;
 color: #cf1d24;
 font-weight: bold;
 margin-left: 20px;
 margin-top: 32px;
 margin-bottom: 15px;
 margin-right: 20px;
 padding-top: 0px;
}

h2 {
 font-size: 20;
 color: #cf1d24;
 font-weight: bold;
 margin-left: 20px;
 margin-right: 20px;
 margin-top: 5px;
 margin-bottom: 9px;
}

h3 {
 background: url('./DocumentationFiles/dingbat3.png') no-repeat 0 0;
 font-size: 14px;
 font-family: helvetica;
 color: #4B4B4B;
 font-weight: bold;
 padding-left: 18px;
 margin-left: 20px;
 margin-right: 20px;
 margin-top: 12px;
 margin-bottom: 8px;
}

ul {
 font-family: arial;
 font-size: 13;
 margin: 9px 40px 5px 40px;
 padding-bottom: 0px;
 color: #555555;
 max-width: 800px;
 list-style-type: square;
}

li {
 margin-left: 0px;
 margin-top: 4px;
 margin-bottom: 2px;
 padding-left: 0px;
}

div.header {
 background: url('./DocumentationFiles/WSMLogo.png') no-repeat 0 0;
 height: 96px;
 margin-top: 35px;
 background-color: #871613;
}

.headerspan {
 font-family: arial;
 text-decoration: none;
 font-size: 12px;
 font-weight: bold;
 display: inline-block;
 height: 35px;
 color: gray;
 padding: 0px;
 margin: 0px;
 margin-left: 20px;
}

.headera {
 font-family: arial;
 text-decoration: none;
 font-size: 12px;
 font-weight: bold;
 padding: 0px;
 color: inherit;
 vertical-align: middle;
 margin: 0px;
}

.headerlinkdiv {
 background: black;
 padding: 0px;
 height: 35px;
 margin: 0px;
 position: fixed; top: 0px; left: 0px; width: 100%;
}

.contenttable {
 -webkit-box-shadow: 3px 3px 3px #DDDDDD;
 border-top: 3px solid #cf1d24;
 background: #f9f9f9;
 max-width: 500px;
 margin: 15px 15px 0px 20px;
 padding: 6px 10px 3px 10px;
}

.contenttableheader {
 color: #a4a4a4;
 font-size: 14px;
 font-family: arial;
}

.contenttabletable {
 border: 0px solid #FFFFFF;
 padding: 0px;
 padding-left: 20px;
}

.contenttable tr td {
 padding: 3px;
 min-width: 200px;
}

.contenttable tr td a {
 color: #555555;
 text-decoration: none;
 font-size: 13px;
 font-family: arial;
}

.hacek {
 color: #cf1d24;
 font-size: 25px;
 font-weight: plain;
 vertical-align: -40%;
}

.mathematicapointerwrapper {
 border: 0px solid #DDDDDD;
 margin: 15px 15px 15px 40px;
 padding: 0px;
 max-width: 500px;
}

.mathematicapointertop {
 border: 1px solid #DDDDDD;
 background-color: #F2F2F2;
 padding: 0px;
 max-width: 500px;
 height: 4px;
}

.mathematicapointerdiv {
 background: url('./DocumentationFiles/mathematicabook.png') no-repeat 5 5;
 border: 1px solid #DDDDDD;
 background-color: #FFFFFF;
 margin: 0px;
 padding: 15px 9px 9px 89px;
 max-width: 500px;
 min-height: 67px;
}

p.mathematicapointer {
 padding: 0px;
 margin: 0px;
 font-size: 12px;
}

.infoboxwrapper {
 border: 0px solid #DDDDDD;
 -webkit-box-shadow: 3px 3px 3px #DDDDDD;
 margin: 15px 15px 15px 40px;
 padding: 0px;
 max-width: 500px;
}

.infoboxtop {
 background: url('./DocumentationFiles/infotick.png') no-repeat 12 2;
 border: 1px solid #DDDDDD;
 background-color: #F2F2F2;
 padding: 0px;
 max-width: 500px;
 height: 37px;
}

div.infobox {
 border: 1px solid #DDDDDD;
 background-color: #FFFFFF;
 margin: 0px;
 padding: 15px;
 max-width: 500px;
}

p.infobox {
 padding: 0px;
 margin: 0px;
 font-size: 12px;
}

h2.legal {
 font-family: arial;
 font-size: 14;
 color: #cf1d24;
 margin: 15px 15px 15px 20px;
 font-weight: bold;
}

h3.legal {
 background: url('./DocumentationFiles/dingbat3.png') no-repeat 0 0;
 font-family: arial;
 font-size: 12;
 color: #808080;
 margin-left: 38px;
 padding-left: 12px;
 font-weight: bold;
}

ul.legal {
 font-size: 10px;
 font-family: arial;
 color: #555555;
 margin-left: 28px;
}

ul.legal li {
 margin-left: 0px;
 margin-top: 4px;
 margin-bottom: 2px;
 padding-left: 0px;
}

p.legallarge {
 font-size: 12px;
 margin-left: 38px;
}

p.legalsmall {
 font-size: 11px;
 margin-left: 38px;
 padding-left: 12px;
}

.legalend {
 height: 10px;
}

.variablename {
 font-family: Courier New, Courier;
}

.dialogelement {
 font-weight: bold;
}

.menuitem {
 font-weight: bold;
}

.mr {
 font-family: Courier New, Courier;
}


</style>
</head>
<body>

<div class=\"headerlinkdiv\">

<span class=\"headerspan\" style=\"background: url(DocumentationFiles/examples.png) no-repeat 0 0;
padding-left: 24px;
\"
onmouseover=\"
	this.style.color = 'white';
	this.style.background = 'url(DocumentationFiles/examples_active.png) no-repeat 0 0';
\"
onmouseout=\"
	this.style.color = 'gray';
	this.style.background = 'url(DocumentationFiles/examples.png) no-repeat 0 0';
\"><a href=\"http://www.wolfram.com/system-modeler/industry-examples/\" class=\"headera\">More Examples</a></span>

<span class=\"headerspan\" style=\"background: url(DocumentationFiles/video.png) no-repeat 0 0;
padding-left: 29px;
\"
onmouseover=\"
	this.style.color = 'white';
	this.style.background = 'url(DocumentationFiles/video_active.png) no-repeat 0 0';
\"
onmouseout=\"
	this.style.color = 'gray';
	this.style.background = 'url(DocumentationFiles/video.png) no-repeat 0 0';
\"><a href=\"http://www.wolfram.com/system-modeler/resources/get-started/\" class=\"headera\">Introductory Videos</a></span>

<span class=\"headerspan\" style=\"background: url(DocumentationFiles/docs.png) no-repeat 0 0;
padding-left: 20px;
\"
onmouseover=\"
	this.style.color = 'white';
	this.style.background = 'url(DocumentationFiles/docs_active.png) no-repeat 0 0';
\"
onmouseout=\"
	this.style.color = 'gray';
	this.style.background = 'url(DocumentationFiles/docs.png) no-repeat 0 0';
\"><a href=\"http://reference.wolfram.com/system-modeler\" class=\"headera\">Documentation</a></span>

<span class=\"headerspan\" style=\"background: url(DocumentationFiles/contact.png) no-repeat 0 0;
padding-left: 24px;
\"
onmouseover=\"
	this.style.color = 'white';
	this.style.background = 'url(DocumentationFiles/contact_active.png) no-repeat 0 0';
\"
onmouseout=\"
	this.style.color = 'gray';
	this.style.background = 'url(DocumentationFiles/contact.png) no-repeat 0 0';
\"><a href=\"http://www.wolfram.com/system-modeler/contact-us/\" class=\"headera\">Contact Us</a></span>
</div><div class=\"header\">&nbsp;</div>
<h1>Six-Spring Return Mechanism</h1><a id=\"headerTag_Description\" class=\"target\">&nbsp;</a>
<h2>Description</h2>
<p class=\"\">
This component models a joystick re-centering mechanism based on a symmetrical arrangement of six tension springs.
</p><p class=\"\">
View the <a href=\"Modelica://Joystick.Components.SixSpringReturn#diagram\">model diagram</a> for this model.
</p><h2 class=\"legal\"> <a href=\"#\" onclick=\"
if(document.getElementById('34').style.display == 'none'){
document.getElementById('34').style.display = 'block';
document.getElementById('show34').style.display = 'none';
document.getElementById('hide34').style.display = 'inline';
} else {
document.getElementById('34').style.display = 'none';
document.getElementById('show34').style.display = 'inline';
document.getElementById('hide34').style.display = 'none';
};
return false;\" style=\"text-decoration: inherit; color: inherit\"><img src=\"DocumentationFiles/showhide2.png\" alt=\"Show\" id=\"show34\" style=\"display: inline; vertical-align: text-bottom;\" /><img src=\"DocumentationFiles/showhide.png\" alt=\"Hide\" id=\"hide34\" style=\"display: none; vertical-align: text-bottom;\" />Terms and Conditions of Use</a> </h2>
<span id=\"34\" style=\"display: none;\"><p class=\"legallarge\">
This domain example is an informational resource made freely available by Wolfram Research.
</p><h3 class=\"legal\">Use of This Example</h3>
<span id=\"35\" style=\"display: block;\"><ul class=\"legal\"><li>You may not use this example for any purpose that is unlawful or dangerous.</li><li>You assume total responsibility and risk for your use of this example.</li><li>You may not present this example with any alteration to its trade dress, trademarks, or design.</li></ul></span><h3 class=\"legal\">License</h3>
<span id=\"36\" style=\"display: block;\"><p class=\"legalsmall\">
All content in this bundle is licensed under the Creative Commons Attribution-NonCommercial-ShareAlike 3.0 Unported License. By accessing the content or using it in any way, you accept and agree to be bound by the terms of this license. If you do not agree to these Terms of Use, you may not use this content. Wolfram Research reserves the right to change, modify, add to, or remove portions of these Terms of Use at any time without notice. Please refer back to <a href=\"http://www.wolfram.com\">www.wolfram.com</a> for the latest Terms of Use.
</p><p class=\"legalsmall\">
A summary of the licensing terms can be found at:<br>
<a href=\"http://creativecommons.org/licenses/by-nc-sa/3.0\">http://creativecommons.org/licenses/by-nc-sa/3.0</a>
</p><p class=\"legalsmall\">
The full legal code can be found at:<br>
<a href=\"http://creativecommons.org/licenses/by-nc-sa/3.0/legalcode\">http://creativecommons.org/licenses/by-nc-sa/3.0/legalcode</a>
</p></span></span><div class=\"legalend\">&nbsp;</div>
</body>
<!--WSMINSERTIONTAGEND SixSpringReturn --></html>", revisions=""), Icon(coordinateSystem(extent={{-100.0,-100.0},{100.0,100.0}}, preserveAspectRatio=true, initialScale=0.1, grid={10,10}), graphics={Line(visible=true, origin={-47.1429,2.8571}, points={{-32.8571,-2.8571},{-22.8571,-2.8571},{-12.8571,17.1429},{-2.8571,-22.8571},{7.1429,17.1429},{17.1429,-2.8571},{47.1429,-2.8571}}),Line(visible=true, origin={45.7143,48.5714}, points={{-45.7143,-48.5714},{-15.7143,-18.5714},{-15.7143,1.4286},{14.2857,-8.5714},{4.2857,21.4286},{24.2857,21.4286},{34.2857,31.4286}}),Line(visible=true, origin={48.5714,-45.7143}, rotation=-90, points={{-45.7143,-48.5714},{-15.7143,-18.5714},{-15.7143,1.4286},{14.2857,-8.5714},{4.2857,21.4286},{24.2857,21.4286},{34.2857,31.4286}}),Line(visible=true, origin={-90.0,0.0}, points={{0.0,10.0},{0.0,-10.0}}, thickness=2),Line(visible=true, origin={90.0,90.0}, points={{-10.0,10.0},{10.0,-10.0}}, thickness=2),Line(visible=true, origin={90.0,-90.0}, points={{10.0,10.0},{-10.0,-10.0}}, thickness=2),Line(visible=true, origin={80.0,80.0}, points={{-10.0,10.0},{10.0,-10.0}}, thickness=2),Line(visible=true, origin={-80.0,0.0}, points={{0.0,10.0},{0.0,-10.0}}, thickness=2),Line(visible=true, origin={80.0,-80.0}, points={{10.0,10.0},{-10.0,-10.0}}, thickness=2),Line(visible=true, origin={47.1429,-2.8571}, rotation=-180, points={{-32.8571,-2.8571},{-22.8571,-2.8571},{-12.8571,17.1429},{-2.8571,-22.8571},{7.1429,17.1429},{17.1429,-2.8571},{47.1429,-2.8571}}),Line(visible=true, origin={80.0,0.0}, rotation=-180, points={{0.0,10.0},{0.0,-10.0}}, thickness=2),Line(visible=true, origin={90.0,-0.0}, rotation=-180, points={{0.0,10.0},{0.0,-10.0}}, thickness=2),Line(visible=true, origin={-45.7143,-48.5714}, rotation=-180, points={{-45.7143,-48.5714},{-15.7143,-18.5714},{-15.7143,1.4286},{14.2857,-8.5714},{4.2857,21.4286},{24.2857,21.4286},{34.2857,31.4286}}),Line(visible=true, origin={-48.5714,45.7143}, rotation=-270, points={{-45.7143,-48.5714},{-15.7143,-18.5714},{-15.7143,1.4286},{14.2857,-8.5714},{4.2857,21.4286},{24.2857,21.4286},{34.2857,31.4286}}),Line(visible=true, origin={-80.0,-80.0}, points={{-10.0,10.0},{10.0,-10.0}}, thickness=2),Line(visible=true, origin={-90.0,-90.0}, points={{-10.0,10.0},{10.0,-10.0}}, thickness=2),Line(visible=true, origin={-82.2985,80.0}, points={{10.0,10.0},{-10.0,-10.0}}, thickness=2),Line(visible=true, origin={-92.2985,90.0}, points={{10.0,10.0},{-10.0,-10.0}}, thickness=2),Text(visible=not useAxisFlange, origin={0.0,-170.0}, lineColor={0,0,255}, extent={{-150.0,70.0},{150.0,130.0}}, textString="%name", fontName="Arial")}), Diagram(coordinateSystem(extent={{-148.5,-105.0},{148.5,105.0}}, preserveAspectRatio=true, initialScale=0.1, grid={10,10})));
      parameter Modelica.SIunits.TranslationalSpringConstant c(final min=0) "Spring constant";
      parameter Real d(final unit="N/ (m/s)", final min=0, start=1) "Damping constant";
      parameter Modelica.SIunits.Length spring_height(final min=0, start=-0.02) "Height of tension springs fixed connections";
      parameter Modelica.SIunits.Length s_unstretched(final min=0, start=0.02) "Unstretched length of each tension spring";
      Joystick.Components.TensionSpringDamper tensionSpring1(s_unstretched=s_unstretched, c=c, d=d, coilWidth=0.0013) annotation(Placement(visible=true, transformation(origin={-60.0,0.0}, extent={{-10.0,-10.0},{10.0,10.0}}, rotation=0)));
      Joystick.Components.TensionSpringDamper tensionSpring2(s_unstretched=s_unstretched, c=c, d=d, coilWidth=0.0013) annotation(Placement(visible=true, transformation(origin={20.0,-30.0}, extent={{-10.0,-10.0},{10.0,10.0}}, rotation=-270)));
      Joystick.Components.TensionSpringDamper tensionSpring3(s_unstretched=s_unstretched, c=c, d=d, coilWidth=0.0013) annotation(Placement(visible=true, transformation(origin={20.0,30.0}, extent={{-10.0,-10.0},{10.0,10.0}}, rotation=-450)));
      Modelica.Mechanics.MultiBody.Interfaces.Frame_b frame_b1 annotation(Placement(visible=true, transformation(origin={0.0,0.0}, extent={{-16.0,-16.0},{16.0,16.0}}, rotation=0), iconTransformation(origin={0.0,0.0}, extent={{-16.0,-16.0},{16.0,16.0}}, rotation=0)));
      Modelica.Mechanics.MultiBody.Interfaces.Frame_a frame_a1 annotation(Placement(visible=true, transformation(origin={-150.0,0.0}, extent={{-16.0,-16.0},{16.0,16.0}}, rotation=0), iconTransformation(origin={-101.0101,0.0}, extent={{-16.0,-16.0},{16.0,16.0}}, rotation=0)));
      Modelica.Mechanics.MultiBody.Parts.FixedTranslation fixedTranslation1(r={-1*s_unstretched,0,0}) annotation(Placement(visible=true, transformation(origin={-100.0,0.0}, extent={{-10.0,-10.0},{10.0,10.0}}, rotation=0)));
      Modelica.Mechanics.MultiBody.Parts.FixedTranslation fixedTranslation2(r={s_unstretched*0.5,0,s_unstretched*0.866}) annotation(Placement(visible=true, transformation(origin={20.0,70.0}, extent={{-10.0,-10.0},{10.0,10.0}}, rotation=-90)));
      Modelica.Mechanics.MultiBody.Parts.FixedTranslation fixedTranslation3(r={s_unstretched*0.5,0,-s_unstretched*0.866}) annotation(Placement(visible=true, transformation(origin={20.0,-70.0}, extent={{-10.0,-10.0},{10.0,10.0}}, rotation=-270)));
      Modelica.Mechanics.MultiBody.Parts.FixedTranslation fixedTranslation4(r={-s_unstretched*0.5,0,-s_unstretched*0.866}) annotation(Placement(visible=true, transformation(origin={-20.0,-70.0}, extent={{-10.0,-10.0},{10.0,10.0}}, rotation=-270)));
      Modelica.Mechanics.MultiBody.Parts.FixedTranslation fixedTranslation5(r={-s_unstretched*0.5,0,s_unstretched*0.866}) annotation(Placement(visible=true, transformation(origin={-20.0,70.0}, extent={{-10.0,-10.0},{10.0,10.0}}, rotation=-90)));
      Joystick.Components.TensionSpringDamper tensionSpring4(c=c, d=d, s_unstretched=s_unstretched, coilWidth=0.0013) annotation(Placement(visible=true, transformation(origin={-20.0,30.0}, extent={{-10.0,-10.0},{10.0,10.0}}, rotation=-450)));
      Joystick.Components.TensionSpringDamper tensionSpring5(c=c, d=d, s_unstretched=s_unstretched, coilWidth=0.0013) annotation(Placement(visible=true, transformation(origin={-20.0,-30.0}, extent={{-10.0,-10.0},{10.0,10.0}}, rotation=-270)));
      Modelica.Mechanics.MultiBody.Parts.FixedTranslation fixedTranslation6(r={1*s_unstretched,0,0}) annotation(Placement(visible=true, transformation(origin={100.0,0.0}, extent={{-10.0,-10.0},{10.0,10.0}}, rotation=-180)));
      Joystick.Components.TensionSpringDamper tensionSpring6(c=c, d=d, s_unstretched=s_unstretched, coilWidth=0.0013) annotation(Placement(visible=true, transformation(origin={60.0,0.0}, extent={{-10.0,-10.0},{10.0,10.0}}, rotation=-180)));
    equation 
      connect(fixedTranslation2.frame_a,frame_a1) annotation(Line(visible=true, origin={-74.0,52.0}, points={{94.0,28.0},{94.0,38.0},{-56.0,38.0},{-56.0,-52.0},{-76.0,-52.0}}));
      connect(fixedTranslation5.frame_a,fixedTranslation2.frame_a) annotation(Line(visible=true, origin={0.0,85.0}, points={{-20.0,-5.0},{-20.0,5.0},{20.0,5.0},{20.0,-5.0}}));
      connect(fixedTranslation3.frame_a,frame_a1) annotation(Line(visible=true, origin={-74.0,-52.0}, points={{94.0,-28.0},{94.0,-38.0},{-56.0,-38.0},{-56.0,52.0},{-76.0,52.0}}));
      connect(fixedTranslation4.frame_a,fixedTranslation3.frame_a) annotation(Line(visible=true, origin={0.0,-85.0}, points={{-20.0,5.0},{-20.0,-5.0},{20.0,-5.0},{20.0,5.0}}));
      connect(fixedTranslation3.frame_a,fixedTranslation6.frame_a) annotation(Line(visible=true, origin={82.0,-52.0}, points={{-62.0,-28.0},{-62.0,-38.0},{48.0,-38.0},{48.0,52.0},{28.0,52.0}}));
      connect(tensionSpring4.frame_b,frame_b1) annotation(Line(visible=true, origin={-13.3333,6.6667}, points={{-6.6667,13.3333},{-6.6667,-6.6667},{13.3333,-6.6667}}));
      connect(tensionSpring6.frame_b,frame_b1) annotation(Line(visible=true, origin={25.0,0.0}, points={{25.0,0.0},{-25.0,0.0}}));
      connect(tensionSpring5.frame_b,frame_b1) annotation(Line(visible=true, origin={-13.3333,-6.6667}, points={{-6.6667,-13.3333},{-6.6667,6.6667},{13.3333,6.6667}}));
      connect(tensionSpring2.frame_b,frame_b1) annotation(Line(visible=true, origin={10.0,21.7311}, points={{10.0,-41.7311},{10.0,-21.7311},{-10.0,-21.7311},{-10.0,-21.7311}}));
      connect(tensionSpring3.frame_b,frame_b1) annotation(Line(visible=true, origin={10.0,31.7311}, points={{10.0,-11.7311},{10.0,-31.7311},{-10.0,-31.7311},{-10.0,-31.7311}}));
      connect(tensionSpring1.frame_b,frame_b1) annotation(Line(visible=true, origin={-25.0,0.0}, points={{-25.0,0.0},{25.0,0.0}}));
      connect(tensionSpring3.frame_a,fixedTranslation2.frame_b) annotation(Line(visible=true, origin={20.0,50.0}, points={{-0.0,-10.0},{0.0,10.0}}));
      connect(tensionSpring2.frame_a,fixedTranslation3.frame_b) annotation(Line(visible=true, origin={20.0,-50.0}, points={{0.0,10.0},{0.0,-10.0}}));
      connect(fixedTranslation6.frame_b,tensionSpring6.frame_a) annotation(Line(visible=true, origin={80.0,0.0}, points={{10.0,0.0},{-10.0,0.0}}));
      connect(fixedTranslation1.frame_b,tensionSpring1.frame_a) annotation(Line(visible=true, origin={-80.0,0.0}, points={{-10.0,0.0},{10.0,0.0}}));
      connect(fixedTranslation5.frame_b,tensionSpring4.frame_a) annotation(Line(visible=true, origin={-20.0,50.0}, points={{0.0,10.0},{-0.0,-10.0}}));
      connect(fixedTranslation4.frame_b,tensionSpring5.frame_a) annotation(Line(visible=true, origin={-20.0,-50.0}, points={{0.0,-10.0},{0.0,10.0}}));
      connect(frame_a1,fixedTranslation1.frame_a) annotation(Line(visible=true, origin={-130.0,0.0}, points={{-20.0,0.0},{20.0,0.0}}));
    end SixSpringReturn;

  end Components;

  model JoystickForceResponse "Model simulating response of three joystick designs to circularly varying test force"
    annotation(Documentation(info="<html><!--WSMINSERTIONTAGSTART JoystickForceResponse -->
<head>
<style type=\"text/css\">

body {
 padding: 0px;
 margin: 0px;
}

a {
 color: #cf1d24;
}

a.target {
 padding-top: 40px;
 margin-top: -40px;
}

p {
 font-family: arial;
 font-size: 13;
 margin: 9px 40px 5px 40px;
 padding-bottom: 0px;
 color: #555555;
 max-width: 800px;
}

h1 {
 font-size: 30;
 color: #cf1d24;
 font-weight: bold;
 margin-left: 20px;
 margin-top: 32px;
 margin-bottom: 15px;
 margin-right: 20px;
 padding-top: 0px;
}

h2 {
 font-size: 20;
 color: #cf1d24;
 font-weight: bold;
 margin-left: 20px;
 margin-right: 20px;
 margin-top: 5px;
 margin-bottom: 9px;
}

h3 {
 background: url('./DocumentationFiles/dingbat3.png') no-repeat 0 0;
 font-size: 14px;
 font-family: helvetica;
 color: #4B4B4B;
 font-weight: bold;
 padding-left: 18px;
 margin-left: 20px;
 margin-right: 20px;
 margin-top: 12px;
 margin-bottom: 8px;
}

ul {
 font-family: arial;
 font-size: 13;
 margin: 9px 40px 5px 40px;
 padding-bottom: 0px;
 color: #555555;
 max-width: 800px;
 list-style-type: square;
}

li {
 margin-left: 0px;
 margin-top: 4px;
 margin-bottom: 2px;
 padding-left: 0px;
}

div.header {
 background: url('./DocumentationFiles/WSMLogo.png') no-repeat 0 0;
 height: 96px;
 margin-top: 35px;
 background-color: #871613;
}

.headerspan {
 font-family: arial;
 text-decoration: none;
 font-size: 12px;
 font-weight: bold;
 display: inline-block;
 height: 35px;
 color: gray;
 padding: 0px;
 margin: 0px;
 margin-left: 20px;
}

.headera {
 font-family: arial;
 text-decoration: none;
 font-size: 12px;
 font-weight: bold;
 padding: 0px;
 color: inherit;
 vertical-align: middle;
 margin: 0px;
}

.headerlinkdiv {
 background: black;
 padding: 0px;
 height: 35px;
 margin: 0px;
 position: fixed; top: 0px; left: 0px; width: 100%;
}

.contenttable {
 -webkit-box-shadow: 3px 3px 3px #DDDDDD;
 border-top: 3px solid #cf1d24;
 background: #f9f9f9;
 max-width: 500px;
 margin: 15px 15px 0px 20px;
 padding: 6px 10px 3px 10px;
}

.contenttableheader {
 color: #a4a4a4;
 font-size: 14px;
 font-family: arial;
}

.contenttabletable {
 border: 0px solid #FFFFFF;
 padding: 0px;
 padding-left: 20px;
}

.contenttable tr td {
 padding: 3px;
 min-width: 200px;
}

.contenttable tr td a {
 color: #555555;
 text-decoration: none;
 font-size: 13px;
 font-family: arial;
}

.hacek {
 color: #cf1d24;
 font-size: 25px;
 font-weight: plain;
 vertical-align: -40%;
}

.mathematicapointerwrapper {
 border: 0px solid #DDDDDD;
 margin: 15px 15px 15px 40px;
 padding: 0px;
 max-width: 500px;
}

.mathematicapointertop {
 border: 1px solid #DDDDDD;
 background-color: #F2F2F2;
 padding: 0px;
 max-width: 500px;
 height: 4px;
}

.mathematicapointerdiv {
 background: url('./DocumentationFiles/mathematicabook.png') no-repeat 5 5;
 border: 1px solid #DDDDDD;
 background-color: #FFFFFF;
 margin: 0px;
 padding: 15px 9px 9px 89px;
 max-width: 500px;
 min-height: 67px;
}

p.mathematicapointer {
 padding: 0px;
 margin: 0px;
 font-size: 12px;
}

.infoboxwrapper {
 border: 0px solid #DDDDDD;
 -webkit-box-shadow: 3px 3px 3px #DDDDDD;
 margin: 15px 15px 15px 40px;
 padding: 0px;
 max-width: 500px;
}

.infoboxtop {
 background: url('./DocumentationFiles/infotick.png') no-repeat 12 2;
 border: 1px solid #DDDDDD;
 background-color: #F2F2F2;
 padding: 0px;
 max-width: 500px;
 height: 37px;
}

div.infobox {
 border: 1px solid #DDDDDD;
 background-color: #FFFFFF;
 margin: 0px;
 padding: 15px;
 max-width: 500px;
}

p.infobox {
 padding: 0px;
 margin: 0px;
 font-size: 12px;
}

h2.legal {
 font-family: arial;
 font-size: 14;
 color: #cf1d24;
 margin: 15px 15px 15px 20px;
 font-weight: bold;
}

h3.legal {
 background: url('./DocumentationFiles/dingbat3.png') no-repeat 0 0;
 font-family: arial;
 font-size: 12;
 color: #808080;
 margin-left: 38px;
 padding-left: 12px;
 font-weight: bold;
}

ul.legal {
 font-size: 10px;
 font-family: arial;
 color: #555555;
 margin-left: 28px;
}

ul.legal li {
 margin-left: 0px;
 margin-top: 4px;
 margin-bottom: 2px;
 padding-left: 0px;
}

p.legallarge {
 font-size: 12px;
 margin-left: 38px;
}

p.legalsmall {
 font-size: 11px;
 margin-left: 38px;
 padding-left: 12px;
}

.legalend {
 height: 10px;
}

.variablename {
 font-family: Courier New, Courier;
}

.dialogelement {
 font-weight: bold;
}

.menuitem {
 font-weight: bold;
}

.mr {
 font-family: Courier New, Courier;
}


</style>
</head>
<body>

<div class=\"headerlinkdiv\">

<span class=\"headerspan\" style=\"background: url(DocumentationFiles/examples.png) no-repeat 0 0;
padding-left: 24px;
\"
onmouseover=\"
	this.style.color = 'white';
	this.style.background = 'url(DocumentationFiles/examples_active.png) no-repeat 0 0';
\"
onmouseout=\"
	this.style.color = 'gray';
	this.style.background = 'url(DocumentationFiles/examples.png) no-repeat 0 0';
\"><a href=\"http://www.wolfram.com/system-modeler/industry-examples/\" class=\"headera\">More Examples</a></span>

<span class=\"headerspan\" style=\"background: url(DocumentationFiles/video.png) no-repeat 0 0;
padding-left: 29px;
\"
onmouseover=\"
	this.style.color = 'white';
	this.style.background = 'url(DocumentationFiles/video_active.png) no-repeat 0 0';
\"
onmouseout=\"
	this.style.color = 'gray';
	this.style.background = 'url(DocumentationFiles/video.png) no-repeat 0 0';
\"><a href=\"http://www.wolfram.com/system-modeler/resources/get-started/\" class=\"headera\">Introductory Videos</a></span>

<span class=\"headerspan\" style=\"background: url(DocumentationFiles/docs.png) no-repeat 0 0;
padding-left: 20px;
\"
onmouseover=\"
	this.style.color = 'white';
	this.style.background = 'url(DocumentationFiles/docs_active.png) no-repeat 0 0';
\"
onmouseout=\"
	this.style.color = 'gray';
	this.style.background = 'url(DocumentationFiles/docs.png) no-repeat 0 0';
\"><a href=\"http://reference.wolfram.com/system-modeler\" class=\"headera\">Documentation</a></span>

<span class=\"headerspan\" style=\"background: url(DocumentationFiles/contact.png) no-repeat 0 0;
padding-left: 24px;
\"
onmouseover=\"
	this.style.color = 'white';
	this.style.background = 'url(DocumentationFiles/contact_active.png) no-repeat 0 0';
\"
onmouseout=\"
	this.style.color = 'gray';
	this.style.background = 'url(DocumentationFiles/contact.png) no-repeat 0 0';
\"><a href=\"http://www.wolfram.com/system-modeler/contact-us/\" class=\"headera\">Contact Us</a></span>
</div><div class=\"header\">&nbsp;</div>
<h1>Joystick Design: Force Response</h1><div class=\"contenttable\">
<span class=\"contenttableheader\">CONTENTS:</span><br/>
<table class=\"contenttabletable\"><tr><td><a href=\"#\" onClick=\"document.getElementById('headerTag_Introduction').scrollIntoView(); return false;\"><span class=\"hacek\">&#711;</span> Introduction</a></td><td><a href=\"#\" onClick=\"document.getElementById('headerTag_HierarchicalModeling').scrollIntoView(); return false;\"><span class=\"hacek\">&#711;</span> Hierarchical Modeling</a></td></tr><tr><td><a href=\"#\" onClick=\"document.getElementById('headerTag_Simulation&Animation').scrollIntoView(); return false;\"><span class=\"hacek\">&#711;</span> Simulation & Animation</a></td><td><a href=\"#\" onClick=\"document.getElementById('headerTag_Visualization').scrollIntoView(); return false;\"><span class=\"hacek\">&#711;</span> Visualization</a></td></tr></table></div><a id=\"headerTag_Introduction\" class=\"target\">&nbsp;</a>
<h2>Introduction</h2>
<p class=\"\">
This model compares the response of three analog joysticks to a circularly varying test force. Each joystick has a handle re-centering mechanism based on a symmetrical  arrangement of a different number of tension springs.
</p><p class=\"\">
View the <a href=\"Modelica://Joystick.JoystickForceResponse#diagram\">model diagram</a> for this model.
</p><p class=\"\">
The other model in this example is <a href=\"Modelica://Joystick.JoystickReturnTrajectory\">JoystickReturnTrajectory</a>, which compares the free return trajectory of the three joysticks.
</p><a id=\"headerTag_HierarchicalModeling\" class=\"target\">&nbsp;</a>
<h2>Hierarchical Modeling</h2>
<p class=\"\">
The joystick model is constructed hierarchically. Double-click on a component such as <span class=\"variablename\">fourSpringReturn1</span> to see its model diagram. Inside <span class=\"variablename\">fourSpringReturn1</span> double-click on one of the tension springs to see its model diagram, and so on:
</p><p class=\"\">
<img src=\"DocumentationFiles/hierarchical.png\" alt=\"\"/>
</p><a id=\"headerTag_Simulation&Animation\" class=\"target\">&nbsp;</a>
<h2>Simulation & Animation</h2>
<p class=\"\">
To simulate the model and view a 3D animation of it, follow the steps below:
</p><ul><li>Click the <img src=\"DocumentationFiles/simCenter.png\" alt=\"\"/> button in the top-right corner.</li><li>When the build is finished, click the <span class=\"dialogelement\">Simulate</span> button <img src=\"DocumentationFiles/simulate.png\" alt=\"\"/>.</li><li>Click the <span class=\"dialogelement\">Animate</span> button <img src=\"DocumentationFiles/animate.png\" alt=\"\"/>.</li><li>Use your mouse or trackpad to drag the animation into a good angle, and zoom in with your scroll wheel or by using the trackpad. Then click the play button to play the animation.</li></ul><p class=\"\">
The animation shows the response of the joystick handles to a test force that attempts to trace out a circle:
</p><p class=\"\">
<img src=\"DocumentationFiles/animation.png\" alt=\"\"/>
</p><p class=\"\">
Note that the response of the joysticks is not perfectly circular. The joysticks with a larger number of symmetrically spaced springs (four or six) trace out a path that is more nearly circular.
</p><a id=\"headerTag_Visualization\" class=\"target\">&nbsp;</a>
<h2>Visualization</h2>
<p class=\"\">
After simulating the model, create a parametric plot of the path traced out by each joystick by following these steps:
</p><ul><li>Click the toolbar icon <img src=\"DocumentationFiles/parametricPlotIcon.png\" alt=\"\"/> to create a new parametric plot.</li><li>In the <span class=\"dialogelement\">Plot</span> view in <i><span style=\"font-style:italic;\">Simulation Center</span></i>, expand the tree corresponding to either <span class=\"variablename\">joystickJoint1</span>, <span class=\"variablename\">joystickJoint2</span>, or <span class=\"variablename\">joystickJoint3</span>.</li><li>Inside the <span class=\"variablename\">joystickJoint</span> tree, expand <span class=\"variablename\">revolute1</span> and check the box next to the <span class=\"variablename\">phi</span> variable.</li><li>Now expand <span class=\"variablename\">revolute2</span> and check the box next to its <span class=\"variablename\">phi</span> variable.</li><li>Optional: Use the slider beneath the parametric plot to adjust the time interval included in the plot.</li></ul><p class=\"\">
You can repeat the above process for each of the three joysticks. The resulting parametric plots look like this:
</p><p class=\"\">
<img src=\"DocumentationFiles/parametricPlotsForceResponse.png\" alt=\"\"/>
</p><p class=\"\">
You can see that the six-spring arrangement leads to the most circular force response.
</p><p class=\"\">
By simulating the other model in this example, <a href=\"Modelica://Joystick.JoystickReturnTrajectory\">JoystickReturnTrajectory</a>, you can also obtain the following parametric plots of the trajectory of each joystick as it re-centers itself after being displaced:
</p><p class=\"\">
<img src=\"DocumentationFiles/parametricPlotsReturnTrajectory.png\" alt=\"\"/>
</p><p class=\"\">
You can see that the six-spring arrangement leads to the most  linear return trajectory.
</p><h2 class=\"legal\"> <a href=\"#\" onclick=\"
if(document.getElementById('43').style.display == 'none'){
document.getElementById('43').style.display = 'block';
document.getElementById('show43').style.display = 'none';
document.getElementById('hide43').style.display = 'inline';
} else {
document.getElementById('43').style.display = 'none';
document.getElementById('show43').style.display = 'inline';
document.getElementById('hide43').style.display = 'none';
};
return false;\" style=\"text-decoration: inherit; color: inherit\"><img src=\"DocumentationFiles/showhide2.png\" alt=\"Show\" id=\"show43\" style=\"display: inline; vertical-align: text-bottom;\" /><img src=\"DocumentationFiles/showhide.png\" alt=\"Hide\" id=\"hide43\" style=\"display: none; vertical-align: text-bottom;\" />Terms and Conditions of Use</a> </h2>
<span id=\"43\" style=\"display: none;\"><p class=\"legallarge\">
This domain example is an informational resource made freely available by Wolfram Research.
</p><h3 class=\"legal\">Use of This Example</h3>
<span id=\"44\" style=\"display: block;\"><ul class=\"legal\"><li>You may not use this example for any purpose that is unlawful or dangerous.</li><li>You assume total responsibility and risk for your use of this example.</li><li>You may not present this example with any alteration to its trade dress, trademarks, or design.</li></ul></span><h3 class=\"legal\">License</h3>
<span id=\"45\" style=\"display: block;\"><p class=\"legalsmall\">
All content in this bundle is licensed under the Creative Commons Attribution-NonCommercial-ShareAlike 3.0 Unported License. By accessing the content or using it in any way, you accept and agree to be bound by the terms of this license. If you do not agree to these Terms of Use, you may not use this content. Wolfram Research reserves the right to change, modify, add to, or remove portions of these Terms of Use at any time without notice. Please refer back to <a href=\"http://www.wolfram.com\">www.wolfram.com</a> for the latest Terms of Use.
</p><p class=\"legalsmall\">
A summary of the licensing terms can be found at:<br>
<a href=\"http://creativecommons.org/licenses/by-nc-sa/3.0\">http://creativecommons.org/licenses/by-nc-sa/3.0</a>
</p><p class=\"legalsmall\">
The full legal code can be found at:<br>
<a href=\"http://creativecommons.org/licenses/by-nc-sa/3.0/legalcode\">http://creativecommons.org/licenses/by-nc-sa/3.0/legalcode</a>
</p></span></span><div class=\"legalend\">&nbsp;</div>
</body>
<!--WSMINSERTIONTAGEND JoystickForceResponse --></html>", revisions=""), Icon(coordinateSystem(extent={{-100.0,-100.0},{100.0,100.0}}, preserveAspectRatio=true, initialScale=0.1, grid={10,10}), graphics={Text(visible=true, origin={0.0,21.0}, lineColor={255,0,0}, extent={{-120.0,73.0},{120.0,132.0}}, textString="%name", fontName="Arial"),Rectangle(visible=true, lineColor={111,0,0}, fillColor={255,0,0}, fillPattern=FillPattern.HorizontalCylinder, lineThickness=4, extent={{-90.0,-90.0},{90.0,90.0}}, radius=25),Text(visible=true, origin={12.0,20.8333}, fillColor={255,255,255}, fillPattern=FillPattern.Solid, extent={{-102.0,-70.8333},{78.0,29.1667}}, textString="Ex", fontName="Arial")}), preferredView="info");
    annotation(Diagram(coordinateSystem(extent={{-148.5,-105.0},{148.5,105.0}}, preserveAspectRatio=true, initialScale=0.1, grid={10,10})));
    inner Modelica.Mechanics.MultiBody.World world(nominalLength=0.03, animateGravity=false, animateWorld=false) annotation(Placement(visible=true, transformation(origin={-130.0,80.0}, extent={{-10.0,-10.0},{10.0,10.0}}, rotation=-90)));
    Joystick.Components.JoystickJoint joystickJoint1(d=0.0005) annotation(Placement(visible=true, transformation(origin={-110.0,-20.0}, extent={{-10.0,-10.0},{10.0,10.0}}, rotation=0)));
    Modelica.Mechanics.MultiBody.Parts.BodyCylinder bodyCylinder1(r={0,-0.1,0}, density=500, diameter=0.01, color={179,53,53}) annotation(Placement(visible=true, transformation(origin={-80.0,0.0}, extent={{-10.0,-10.0},{10.0,10.0}}, rotation=-90)));
    Modelica.Mechanics.MultiBody.Parts.BodyCylinder bodyCylinder2(r={0,-0.02,0}, density=500, diameter=0.005, color={179,53,53}) annotation(Placement(visible=true, transformation(origin={-80.0,-40.0}, extent={{-10.0,-10.0},{10.0,10.0}}, rotation=-90)));
    Joystick.Components.RotatingRadialForce rotatingRadialForce2(f=0.1) annotation(Placement(visible=true, transformation(origin={-80.0,30.0}, extent={{-10.0,-10.0},{10.0,10.0}}, rotation=-450)));
    Joystick.Components.ThreeSpringReturn threeSpringReturn1(c=100*3/3, d=0, s_unstretched=0.02, spring_height=-0.02) annotation(Placement(visible=true, transformation(origin={-80.0,-70.0}, extent={{-10.0,-10.0},{10.0,10.0}}, rotation=0)));
    Modelica.Mechanics.MultiBody.Parts.FixedTranslation fixedTranslation1(r={0,-0.02,0}) annotation(Placement(visible=true, transformation(origin={-130.0,-50.0}, extent={{-10.0,-10.0},{10.0,10.0}}, rotation=-90)));
    Modelica.Mechanics.MultiBody.Parts.FixedTranslation fixedTranslation2(r={0,-0.02,0}) annotation(Placement(visible=true, transformation(origin={-30.0,-50.0}, extent={{-10.0,-10.0},{10.0,10.0}}, rotation=-90)));
    Joystick.Components.FourSpringReturn fourSpringReturn1(c=100*3/4, d=0, s_unstretched=0.02, spring_height=-0.02) annotation(Placement(visible=true, transformation(origin={20.0,-70.0}, extent={{-10.0,-10.0},{10.0,10.0}}, rotation=0)));
    Joystick.Components.RotatingRadialForce rotatingRadialForce3(f=0.1) annotation(Placement(visible=true, transformation(origin={20.0,30.0}, extent={{-10.0,-10.0},{10.0,10.0}}, rotation=-450)));
    Modelica.Mechanics.MultiBody.Parts.BodyCylinder bodyCylinder3(density=500, diameter=0.005, r={0,-0.02,0}, color={126,179,53}) annotation(Placement(visible=true, transformation(origin={20.0,-40.0}, extent={{-10.0,-10.0},{10.0,10.0}}, rotation=-90)));
    Modelica.Mechanics.MultiBody.Parts.BodyCylinder bodyCylinder4(density=500, diameter=0.01, r={0,-0.1,0}, color={126,179,53}) annotation(Placement(visible=true, transformation(origin={20.0,0.0}, extent={{-10.0,-10.0},{10.0,10.0}}, rotation=-90)));
    Joystick.Components.JoystickJoint joystickJoint2(d=0.0005) annotation(Placement(visible=true, transformation(origin={-10.0,-20.0}, extent={{-10.0,-10.0},{10.0,10.0}}, rotation=0)));
    Modelica.Mechanics.MultiBody.Parts.FixedTranslation fixedTranslation3(r={0.1,0,0}, animation=false) annotation(Placement(visible=true, transformation(origin={-60.0,60.0}, extent={{-10.0,-10.0},{10.0,10.0}}, rotation=-360)));
    Joystick.Components.JoystickJoint joystickJoint3(d=0.0005) annotation(Placement(visible=true, transformation(origin={90.0,-20.0}, extent={{-10.0,-10.0},{10.0,10.0}}, rotation=0)));
    Modelica.Mechanics.MultiBody.Parts.BodyCylinder bodyCylinder5(density=500, diameter=0.01, r={0,-0.1,0}, color={53,90,179}) annotation(Placement(visible=true, transformation(origin={120.0,0.0}, extent={{-10.0,-10.0},{10.0,10.0}}, rotation=-90)));
    Modelica.Mechanics.MultiBody.Parts.BodyCylinder bodyCylinder6(density=500, diameter=0.005, r={0,-0.02,0}, color={53,90,179}) annotation(Placement(visible=true, transformation(origin={120.0,-40.0}, extent={{-10.0,-10.0},{10.0,10.0}}, rotation=-90)));
    Joystick.Components.RotatingRadialForce rotatingRadialForce4(f=0.1) annotation(Placement(visible=true, transformation(origin={120.0,30.0}, extent={{-10.0,-10.0},{10.0,10.0}}, rotation=-450)));
    Joystick.Components.SixSpringReturn sixSpringReturn1(c=100*3/6, d=0, s_unstretched=0.02, spring_height=-0.02) annotation(Placement(visible=true, transformation(origin={120.0,-70.0}, extent={{-10.0,-10.0},{10.0,10.0}}, rotation=0)));
    Modelica.Mechanics.MultiBody.Parts.FixedTranslation fixedTranslation4(r={0,-0.02,0}) annotation(Placement(visible=true, transformation(origin={70.0,-50.0}, extent={{-10.0,-10.0},{10.0,10.0}}, rotation=-90)));
    Modelica.Mechanics.MultiBody.Parts.FixedTranslation fixedTranslation5(r={0.1,0,0}, animation=false) annotation(Placement(visible=true, transformation(origin={40.0,60.0}, extent={{-10.0,-10.0},{10.0,10.0}}, rotation=-360)));
    Modelica.Mechanics.MultiBody.Visualizers.FixedShape2 fixedShape21(height(start=0.4)=0.4, length(start=0.8)=1, width(start=0.002)=0.002, lengthDirection={1,0,0}, color={255,255,255}, shapeType="DocumentationFiles/floor.obj", widthDirection={0,0,1}, r_shape={-3,-0.06,0}) annotation(Placement(visible=true, transformation(origin={-40.0,90.0}, extent={{-10.0,-10.0},{10.0,10.0}}, rotation=0)));
    Modelica.Mechanics.MultiBody.Parts.Fixed fixed1(r={0,0,0}) annotation(Placement(visible=true, transformation(origin={-80.0,90.0}, extent={{-10.0,-10.0},{10.0,10.0}}, rotation=0)));
    Modelica.Mechanics.MultiBody.Parts.FixedTranslation fixedTranslation6(r={0,-0.05,0}, width=0.06) annotation(Placement(visible=true, transformation(origin={-130.0,-90.0}, extent={{-10.0,-10.0},{10.0,10.0}}, rotation=-810)));
    Modelica.Mechanics.MultiBody.Parts.FixedTranslation fixedTranslation7(r={0,-0.05,0}, width=0.06) annotation(Placement(visible=true, transformation(origin={-30.0,-90.0}, extent={{-10.0,-10.0},{10.0,10.0}}, rotation=-810)));
    Modelica.Mechanics.MultiBody.Parts.FixedTranslation fixedTranslation8(r={0,-0.05,0}, width=0.06) annotation(Placement(visible=true, transformation(origin={70.0,-90.0}, extent={{-10.0,-10.0},{10.0,10.0}}, rotation=-810)));
  equation 
    connect(fixedShape21.frame_a,fixed1.frame_b) annotation(Line(visible=true, origin={-60.0,90.0}, points={{10.0,0.0},{-10.0,0.0}}));
    connect(fixedTranslation2.frame_b,fixedTranslation7.frame_a) annotation(Line(visible=true, origin={-30.0,-70.0}, points={{0.0,10.0},{-0.0,-10.0}}));
    connect(fixedTranslation4.frame_b,fixedTranslation8.frame_a) annotation(Line(visible=true, origin={70.0,-70.0}, points={{0.0,10.0},{0.0,-10.0}}));
    connect(fixedTranslation1.frame_b,fixedTranslation6.frame_a) annotation(Line(visible=true, origin={-130.0,-70.0}, points={{0.0,10.0},{0.0,-10.0}}));
    connect(bodyCylinder1.frame_a,rotatingRadialForce2.frame_b1) annotation(Line(visible=true, origin={-80.0,15.0}, points={{0.0,-5.0},{0.0,5.0}}));
    connect(joystickJoint1.frame_b1,bodyCylinder1.frame_b) annotation(Line(visible=true, origin={-86.633,-16.6667}, points={{-13.266,-3.3333},{6.633,-3.3333},{6.633,6.6667}}, color={95,95,95}));
    connect(fixedTranslation4.frame_b,sixSpringReturn1.frame_a1) annotation(Line(visible=true, origin={83.2997,-66.6667}, points={{-13.2997,6.6667},{-13.2997,-3.3333},{26.5993,-3.3333}}));
    connect(sixSpringReturn1.frame_b1,bodyCylinder6.frame_b) annotation(Line(visible=true, origin={120.0,-60.0}, points={{0.0,-10.0},{0.0,10.0}}));
    connect(fixedTranslation2.frame_b,fourSpringReturn1.frame_a1) annotation(Line(visible=true, origin={-16.7003,-66.6667}, points={{-13.2997,6.6667},{-13.2997,-3.3333},{26.5993,-3.3333}}));
    connect(fourSpringReturn1.frame_b1,bodyCylinder3.frame_b) annotation(Line(visible=true, origin={20.0,-60.0}, points={{0.0,-10.0},{0.0,10.0}}));
    connect(fixedTranslation1.frame_b,threeSpringReturn1.frame_a1) annotation(Line(visible=true, origin={-116.7003,-66.6667}, points={{-13.2997,6.6667},{-13.2997,-3.3333},{26.5993,-3.3333}}));
    connect(threeSpringReturn1.frame_b1,bodyCylinder2.frame_b) annotation(Line(visible=true, origin={-80.0,-60.0}, points={{0.0,-10.0},{0.0,10.0}}));
    connect(fixedTranslation3.frame_a,world.frame_b) annotation(Line(visible=true, origin={-110.0,63.3333}, points={{40.0,-3.3333},{-20.0,-3.3333},{-20.0,6.6667}}, color={95,95,95}));
    connect(world.frame_b,joystickJoint1.frame_a1) annotation(Line(visible=true, origin={-132.25,19.8}, points={{2.25,50.2},{2.25,40.2},{2.25,-40.2},{12.25,-40.2}}));
    connect(joystickJoint3.frame_b1,bodyCylinder6.frame_a) annotation(Line(visible=true, origin={113.367,-23.3333}, points={{-13.266,3.3333},{6.633,3.3333},{6.633,-6.6667}}));
    connect(joystickJoint3.frame_a1,fixedTranslation4.frame_a) annotation(Line(visible=true, origin={73.3333,-26.9333}, points={{6.6667,6.5333},{-3.3333,6.5333},{-3.3333,-13.0667}}, color={95,95,95}));
    connect(joystickJoint3.frame_b1,bodyCylinder5.frame_b) annotation(Line(visible=true, origin={113.367,-16.6667}, points={{-13.266,-3.3333},{6.633,-3.3333},{6.633,6.6667}}, color={95,95,95}));
    connect(bodyCylinder5.frame_a,rotatingRadialForce4.frame_b1) annotation(Line(visible=true, origin={120.0,15.0}, points={{0.0,-5.0},{0.0,5.0}}));
    connect(fixedTranslation5.frame_b,fixedTranslation4.frame_a) annotation(Line(visible=true, origin={66.6667,26.6667}, points={{-16.6667,33.3333},{3.3333,33.3333},{3.3333,-66.6667}}));
    connect(fixedTranslation3.frame_b,fixedTranslation5.frame_a) annotation(Line(visible=true, origin={-10.0,60.0}, points={{-40.0,0.0},{40.0,0.0}}));
    connect(bodyCylinder4.frame_a,rotatingRadialForce3.frame_b1) annotation(Line(visible=true, origin={20.0,15.0}, points={{0.0,-5.0},{0.0,5.0}}));
    connect(joystickJoint2.frame_a1,fixedTranslation2.frame_a) annotation(Line(visible=true, origin={-26.6667,-26.9333}, points={{6.6667,6.5333},{-3.3333,6.5333},{-3.3333,-13.0667}}, color={95,95,95}));
    connect(joystickJoint2.frame_b1,bodyCylinder3.frame_a) annotation(Line(visible=true, origin={13.367,-23.3333}, points={{-13.266,3.3333},{6.633,3.3333},{6.633,-6.6667}}));
    connect(joystickJoint2.frame_b1,bodyCylinder4.frame_b) annotation(Line(visible=true, origin={13.367,-16.6667}, points={{-13.266,-3.3333},{6.633,-3.3333},{6.633,6.6667}}, color={95,95,95}));
    connect(fixedTranslation3.frame_b,fixedTranslation2.frame_a) annotation(Line(visible=true, origin={-40.0,26.6667}, points={{-10.0,33.3333},{10.0,33.3333},{10.0,-66.6667}}));
    connect(joystickJoint1.frame_b1,bodyCylinder2.frame_a) annotation(Line(visible=true, origin={-86.633,-23.3333}, points={{-13.266,3.3333},{6.633,3.3333},{6.633,-6.6667}}));
    connect(joystickJoint1.frame_a1,fixedTranslation1.frame_a) annotation(Line(visible=true, origin={-126.6667,-26.9333}, points={{6.6667,6.5333},{-3.3333,6.5333},{-3.3333,-13.0667}}, color={95,95,95}));
  end JoystickForceResponse;

  model JoystickReturnTrajectory "Model simulating return trajectory of three joysticks after being released"
    annotation(Documentation(info="<html><!--WSMINSERTIONTAGSTART JoystickReturnTrajectory -->
<head>
<style type=\"text/css\">

body {
 padding: 0px;
 margin: 0px;
}

a {
 color: #cf1d24;
}

a.target {
 padding-top: 40px;
 margin-top: -40px;
}

p {
 font-family: arial;
 font-size: 13;
 margin: 9px 40px 5px 40px;
 padding-bottom: 0px;
 color: #555555;
 max-width: 800px;
}

h1 {
 font-size: 30;
 color: #cf1d24;
 font-weight: bold;
 margin-left: 20px;
 margin-top: 32px;
 margin-bottom: 15px;
 margin-right: 20px;
 padding-top: 0px;
}

h2 {
 font-size: 20;
 color: #cf1d24;
 font-weight: bold;
 margin-left: 20px;
 margin-right: 20px;
 margin-top: 5px;
 margin-bottom: 9px;
}

h3 {
 background: url('./DocumentationFiles/dingbat3.png') no-repeat 0 0;
 font-size: 14px;
 font-family: helvetica;
 color: #4B4B4B;
 font-weight: bold;
 padding-left: 18px;
 margin-left: 20px;
 margin-right: 20px;
 margin-top: 12px;
 margin-bottom: 8px;
}

ul {
 font-family: arial;
 font-size: 13;
 margin: 9px 40px 5px 40px;
 padding-bottom: 0px;
 color: #555555;
 max-width: 800px;
 list-style-type: square;
}

li {
 margin-left: 0px;
 margin-top: 4px;
 margin-bottom: 2px;
 padding-left: 0px;
}

div.header {
 background: url('./DocumentationFiles/WSMLogo.png') no-repeat 0 0;
 height: 96px;
 margin-top: 35px;
 background-color: #871613;
}

.headerspan {
 font-family: arial;
 text-decoration: none;
 font-size: 12px;
 font-weight: bold;
 display: inline-block;
 height: 35px;
 color: gray;
 padding: 0px;
 margin: 0px;
 margin-left: 20px;
}

.headera {
 font-family: arial;
 text-decoration: none;
 font-size: 12px;
 font-weight: bold;
 padding: 0px;
 color: inherit;
 vertical-align: middle;
 margin: 0px;
}

.headerlinkdiv {
 background: black;
 padding: 0px;
 height: 35px;
 margin: 0px;
 position: fixed; top: 0px; left: 0px; width: 100%;
}

.contenttable {
 -webkit-box-shadow: 3px 3px 3px #DDDDDD;
 border-top: 3px solid #cf1d24;
 background: #f9f9f9;
 max-width: 500px;
 margin: 15px 15px 0px 20px;
 padding: 6px 10px 3px 10px;
}

.contenttableheader {
 color: #a4a4a4;
 font-size: 14px;
 font-family: arial;
}

.contenttabletable {
 border: 0px solid #FFFFFF;
 padding: 0px;
 padding-left: 20px;
}

.contenttable tr td {
 padding: 3px;
 min-width: 200px;
}

.contenttable tr td a {
 color: #555555;
 text-decoration: none;
 font-size: 13px;
 font-family: arial;
}

.hacek {
 color: #cf1d24;
 font-size: 25px;
 font-weight: plain;
 vertical-align: -40%;
}

.mathematicapointerwrapper {
 border: 0px solid #DDDDDD;
 margin: 15px 15px 15px 40px;
 padding: 0px;
 max-width: 500px;
}

.mathematicapointertop {
 border: 1px solid #DDDDDD;
 background-color: #F2F2F2;
 padding: 0px;
 max-width: 500px;
 height: 4px;
}

.mathematicapointerdiv {
 background: url('./DocumentationFiles/mathematicabook.png') no-repeat 5 5;
 border: 1px solid #DDDDDD;
 background-color: #FFFFFF;
 margin: 0px;
 padding: 15px 9px 9px 89px;
 max-width: 500px;
 min-height: 67px;
}

p.mathematicapointer {
 padding: 0px;
 margin: 0px;
 font-size: 12px;
}

.infoboxwrapper {
 border: 0px solid #DDDDDD;
 -webkit-box-shadow: 3px 3px 3px #DDDDDD;
 margin: 15px 15px 15px 40px;
 padding: 0px;
 max-width: 500px;
}

.infoboxtop {
 background: url('./DocumentationFiles/infotick.png') no-repeat 12 2;
 border: 1px solid #DDDDDD;
 background-color: #F2F2F2;
 padding: 0px;
 max-width: 500px;
 height: 37px;
}

div.infobox {
 border: 1px solid #DDDDDD;
 background-color: #FFFFFF;
 margin: 0px;
 padding: 15px;
 max-width: 500px;
}

p.infobox {
 padding: 0px;
 margin: 0px;
 font-size: 12px;
}

h2.legal {
 font-family: arial;
 font-size: 14;
 color: #cf1d24;
 margin: 15px 15px 15px 20px;
 font-weight: bold;
}

h3.legal {
 background: url('./DocumentationFiles/dingbat3.png') no-repeat 0 0;
 font-family: arial;
 font-size: 12;
 color: #808080;
 margin-left: 38px;
 padding-left: 12px;
 font-weight: bold;
}

ul.legal {
 font-size: 10px;
 font-family: arial;
 color: #555555;
 margin-left: 28px;
}

ul.legal li {
 margin-left: 0px;
 margin-top: 4px;
 margin-bottom: 2px;
 padding-left: 0px;
}

p.legallarge {
 font-size: 12px;
 margin-left: 38px;
}

p.legalsmall {
 font-size: 11px;
 margin-left: 38px;
 padding-left: 12px;
}

.legalend {
 height: 10px;
}

.variablename {
 font-family: Courier New, Courier;
}

.dialogelement {
 font-weight: bold;
}

.menuitem {
 font-weight: bold;
}

.mr {
 font-family: Courier New, Courier;
}


</style>
</head>
<body>

<div class=\"headerlinkdiv\">

<span class=\"headerspan\" style=\"background: url(DocumentationFiles/examples.png) no-repeat 0 0;
padding-left: 24px;
\"
onmouseover=\"
	this.style.color = 'white';
	this.style.background = 'url(DocumentationFiles/examples_active.png) no-repeat 0 0';
\"
onmouseout=\"
	this.style.color = 'gray';
	this.style.background = 'url(DocumentationFiles/examples.png) no-repeat 0 0';
\"><a href=\"http://www.wolfram.com/system-modeler/industry-examples/\" class=\"headera\">More Examples</a></span>

<span class=\"headerspan\" style=\"background: url(DocumentationFiles/video.png) no-repeat 0 0;
padding-left: 29px;
\"
onmouseover=\"
	this.style.color = 'white';
	this.style.background = 'url(DocumentationFiles/video_active.png) no-repeat 0 0';
\"
onmouseout=\"
	this.style.color = 'gray';
	this.style.background = 'url(DocumentationFiles/video.png) no-repeat 0 0';
\"><a href=\"http://www.wolfram.com/system-modeler/resources/get-started/\" class=\"headera\">Introductory Videos</a></span>

<span class=\"headerspan\" style=\"background: url(DocumentationFiles/docs.png) no-repeat 0 0;
padding-left: 20px;
\"
onmouseover=\"
	this.style.color = 'white';
	this.style.background = 'url(DocumentationFiles/docs_active.png) no-repeat 0 0';
\"
onmouseout=\"
	this.style.color = 'gray';
	this.style.background = 'url(DocumentationFiles/docs.png) no-repeat 0 0';
\"><a href=\"http://reference.wolfram.com/system-modeler\" class=\"headera\">Documentation</a></span>

<span class=\"headerspan\" style=\"background: url(DocumentationFiles/contact.png) no-repeat 0 0;
padding-left: 24px;
\"
onmouseover=\"
	this.style.color = 'white';
	this.style.background = 'url(DocumentationFiles/contact_active.png) no-repeat 0 0';
\"
onmouseout=\"
	this.style.color = 'gray';
	this.style.background = 'url(DocumentationFiles/contact.png) no-repeat 0 0';
\"><a href=\"http://www.wolfram.com/system-modeler/contact-us/\" class=\"headera\">Contact Us</a></span>
</div><div class=\"header\">&nbsp;</div>
<h1>Joystick Design: Return Trajectory</h1><div class=\"contenttable\">
<span class=\"contenttableheader\">CONTENTS:</span><br/>
<table class=\"contenttabletable\"><tr><td><a href=\"#\" onClick=\"document.getElementById('headerTag_Introduction').scrollIntoView(); return false;\"><span class=\"hacek\">&#711;</span> Introduction</a></td><td><a href=\"#\" onClick=\"document.getElementById('headerTag_HierarchicalModeling').scrollIntoView(); return false;\"><span class=\"hacek\">&#711;</span> Hierarchical Modeling</a></td></tr><tr><td><a href=\"#\" onClick=\"document.getElementById('headerTag_Simulation&Animation').scrollIntoView(); return false;\"><span class=\"hacek\">&#711;</span> Simulation & Animation</a></td><td><a href=\"#\" onClick=\"document.getElementById('headerTag_Visualization').scrollIntoView(); return false;\"><span class=\"hacek\">&#711;</span> Visualization</a></td></tr></table></div><a id=\"headerTag_Introduction\" class=\"target\">&nbsp;</a>
<h2>Introduction</h2>
<p class=\"\">
This model compares the return trajectory of three analog joysticks after being suddenly released after being displaced from the center equilibrium position. Each joystick has a handle re-centering mechanism based on a symmetrical arrangement of a different number of tension springs.
</p><p class=\"\">
View the <a href=\"Modelica://Joystick.JoystickReturnTrajectory#diagram\">model diagram</a> for this model.
</p><p class=\"\">
The other model in this example is <a href=\"Modelica://Joystick.JoystickForceResponse\">JoystickForceResponse</a>, which compares the response of the three joysticks to a circularly varying test force.
</p><a id=\"headerTag_HierarchicalModeling\" class=\"target\">&nbsp;</a>
<h2>Hierarchical Modeling</h2>
<p class=\"\">
The joystick model is constructed hierarchically. Double-click on a component such as <span class=\"variablename\">fourSpringReturn1</span> to see its model diagram. Inside <span class=\"variablename\">fourSpringReturn1</span> double-click on one of the tension springs to see its model diagram, and so on:
</p><p class=\"\">
<img src=\"DocumentationFiles/hierarchical.png\" alt=\"\"/>
</p><a id=\"headerTag_Simulation&Animation\" class=\"target\">&nbsp;</a>
<h2>Simulation & Animation</h2>
<p class=\"\">
To simulate the model and view a 3D animation of it, follow the steps below:
</p><ul><li>Click the <img src=\"DocumentationFiles/simCenter.png\" alt=\"\"/> button in the top-right corner.</li><li>When the build is finished, click the <span class=\"dialogelement\">Simulate</span> button <img src=\"DocumentationFiles/simulate.png\" alt=\"\"/>.</li><li>Click the <span class=\"dialogelement\">Animate</span> button <img src=\"DocumentationFiles/animate.png\" alt=\"\"/>.</li><li>Use your mouse or trackpad to drag the animation into a good angle, and zoom in with your scroll wheel or by using the trackpad. Then click the play button to play the animation.</li><li>Change the Time Scale at the bottom of the animation window to 0.1 to watch the joystick in slow motion.</li></ul><p class=\"\">
The animation shows the trajectory of the joystick handle as it springs back after being suddenly released from a position away from the center equilibrium:
</p><p class=\"\">
<img src=\"DocumentationFiles/returnTrajectoryAnimation.png\" alt=\"\"/>
</p><p class=\"\">
Note that the handle does not return along a linear trajectory. The joysticks with a larger number of symmetrically spaced springs (four or six) follow a path that is more nearly linear.
</p><a id=\"headerTag_Visualization\" class=\"target\">&nbsp;</a>
<h2>Visualization</h2>
<p class=\"\">
After simulating the model, create a parametric plot of the path along which each joystick returns by following these steps:
</p><ul><li>Click the toolbar icon <img src=\"DocumentationFiles/parametricPlotIcon.png\" alt=\"\"/> to create a new parametric plot.</li><li>In the <span class=\"dialogelement\">Plot</span> view in <i><span style=\"font-style:italic;\">Simulation Center</span></i>, expand the tree corresponding to either <span class=\"variablename\">joystickJoint1</span>, <span class=\"variablename\">joystickJoint2</span>, or <span class=\"variablename\">joystickJoint3</span>.</li><li>Inside the <span class=\"variablename\">joystickJoint</span> tree, expand <span class=\"variablename\">revolute1</span> and check the box next to the <span class=\"variablename\">phi</span> variable.</li><li>Now expand <span class=\"variablename\">revolute2</span> and check the box next to its <span class=\"variablename\">phi</span> variable.</li><li>Optional: Use the slider beneath the parametric plot to adjust the time interval included in the plot.</li></ul><p class=\"\">
You can repeat the above process for each of the three joysticks. The resulting parametric plots look like this:
</p><p class=\"\">
<img src=\"DocumentationFiles/parametricPlotsReturnTrajectory.png\" alt=\"\"/>
</p><p class=\"\">
You can see that the six-spring arrangement leads to the most linear return trajectory.
</p><p class=\"\">
By simulating the other model in this example, <a href=\"Modelica://Joystick.JoystickForceResponse\">JoystickForceResponse</a>, you can also obtain the following parametric plots of the response of each joystick to a circularly varying test force:
</p><p class=\"\">
<img src=\"DocumentationFiles/parametricPlotsForceResponse.png\" alt=\"\"/>
</p><p class=\"\">
You can see that the-six spring arrangement leads to the most circular force response.
</p><h2 class=\"legal\"> <a href=\"#\" onclick=\"
if(document.getElementById('46').style.display == 'none'){
document.getElementById('46').style.display = 'block';
document.getElementById('show46').style.display = 'none';
document.getElementById('hide46').style.display = 'inline';
} else {
document.getElementById('46').style.display = 'none';
document.getElementById('show46').style.display = 'inline';
document.getElementById('hide46').style.display = 'none';
};
return false;\" style=\"text-decoration: inherit; color: inherit\"><img src=\"DocumentationFiles/showhide2.png\" alt=\"Show\" id=\"show46\" style=\"display: inline; vertical-align: text-bottom;\" /><img src=\"DocumentationFiles/showhide.png\" alt=\"Hide\" id=\"hide46\" style=\"display: none; vertical-align: text-bottom;\" />Terms and Conditions of Use</a> </h2>
<span id=\"46\" style=\"display: none;\"><p class=\"legallarge\">
This domain example is an informational resource made freely available by Wolfram Research.
</p><h3 class=\"legal\">Use of This Example</h3>
<span id=\"47\" style=\"display: block;\"><ul class=\"legal\"><li>You may not use this example for any purpose that is unlawful or dangerous.</li><li>You assume total responsibility and risk for your use of this example.</li><li>You may not present this example with any alteration to its trade dress, trademarks, or design.</li></ul></span><h3 class=\"legal\">License</h3>
<span id=\"48\" style=\"display: block;\"><p class=\"legalsmall\">
All content in this bundle is licensed under the Creative Commons Attribution-NonCommercial-ShareAlike 3.0 Unported License. By accessing the content or using it in any way, you accept and agree to be bound by the terms of this license. If you do not agree to these Terms of Use, you may not use this content. Wolfram Research reserves the right to change, modify, add to, or remove portions of these Terms of Use at any time without notice. Please refer back to <a href=\"http://www.wolfram.com\">www.wolfram.com</a> for the latest Terms of Use.
</p><p class=\"legalsmall\">
A summary of the licensing terms can be found at:<br>
<a href=\"http://creativecommons.org/licenses/by-nc-sa/3.0\">http://creativecommons.org/licenses/by-nc-sa/3.0</a>
</p><p class=\"legalsmall\">
The full legal code can be found at:<br>
<a href=\"http://creativecommons.org/licenses/by-nc-sa/3.0/legalcode\">http://creativecommons.org/licenses/by-nc-sa/3.0/legalcode</a>
</p></span></span><div class=\"legalend\">&nbsp;</div>
</body>
<!--WSMINSERTIONTAGEND JoystickReturnTrajectory --></html>", revisions=""), Icon(coordinateSystem(extent={{-100.0,-100.0},{100.0,100.0}}, preserveAspectRatio=true, initialScale=0.1, grid={10,10}), graphics={Text(visible=true, origin={0.0,21.0}, lineColor={255,0,0}, extent={{-120.0,73.0},{120.0,132.0}}, textString="%name", fontName="Arial"),Rectangle(visible=true, lineColor={111,0,0}, fillColor={255,0,0}, fillPattern=FillPattern.HorizontalCylinder, lineThickness=4, extent={{-90.0,-90.0},{90.0,90.0}}, radius=25),Text(visible=true, origin={12.0,20.8333}, fillColor={255,255,255}, fillPattern=FillPattern.Solid, extent={{-102.0,-70.8333},{78.0,29.1667}}, textString="Ex", fontName="Arial")}), Diagram(coordinateSystem(extent={{-148.5,-105.0},{148.5,105.0}}, preserveAspectRatio=true, initialScale=0.1, grid={10,10})), experiment(StartTime=0.0, StopTime=0.5));
    inner Modelica.Mechanics.MultiBody.World world(nominalLength=0.03, animateGravity=false, animateWorld=false) annotation(Placement(visible=true, transformation(origin={-130.0,80.0}, extent={{-10.0,-10.0},{10.0,10.0}}, rotation=-90)));
    Joystick.Components.JoystickJoint joystickJoint1(d=0.0005, initialxangle=initialAngles[1], initialyangle=initialAngles[2]) annotation(Placement(visible=true, transformation(origin={-110.0,-20.0}, extent={{-10.0,-10.0},{10.0,10.0}}, rotation=0)));
    Modelica.Mechanics.MultiBody.Parts.BodyCylinder bodyCylinder1(r={0,-0.1,0}, density=500, diameter=0.01, color={179,53,53}) annotation(Placement(visible=true, transformation(origin={-80.0,0.0}, extent={{-10.0,-10.0},{10.0,10.0}}, rotation=-90)));
    Modelica.Mechanics.MultiBody.Parts.BodyCylinder bodyCylinder2(r={0,-0.02,0}, density=500, diameter=0.005, color={179,53,53}) annotation(Placement(visible=true, transformation(origin={-80.0,-40.0}, extent={{-10.0,-10.0},{10.0,10.0}}, rotation=-90)));
    Joystick.Components.ThreeSpringReturn threeSpringReturn1(c=100*3/3, d=0, s_unstretched=0.02, spring_height=-0.02) annotation(Placement(visible=true, transformation(origin={-80.0,-70.0}, extent={{-10.0,-10.0},{10.0,10.0}}, rotation=0)));
    Modelica.Mechanics.MultiBody.Parts.FixedTranslation fixedTranslation1(r={0,-0.02,0}) annotation(Placement(visible=true, transformation(origin={-130.0,-50.0}, extent={{-10.0,-10.0},{10.0,10.0}}, rotation=-90)));
    Modelica.Mechanics.MultiBody.Parts.FixedTranslation fixedTranslation2(r={0,-0.02,0}) annotation(Placement(visible=true, transformation(origin={-30.0,-50.0}, extent={{-10.0,-10.0},{10.0,10.0}}, rotation=-90)));
    Joystick.Components.FourSpringReturn fourSpringReturn1(c=100*3/4, d=0, s_unstretched=0.02, spring_height=-0.02) annotation(Placement(visible=true, transformation(origin={20.0,-70.0}, extent={{-10.0,-10.0},{10.0,10.0}}, rotation=0)));
    Modelica.Mechanics.MultiBody.Parts.BodyCylinder bodyCylinder3(density=500, diameter=0.005, r={0,-0.02,0}, color={126,179,53}) annotation(Placement(visible=true, transformation(origin={20.0,-40.0}, extent={{-10.0,-10.0},{10.0,10.0}}, rotation=-90)));
    Modelica.Mechanics.MultiBody.Parts.BodyCylinder bodyCylinder4(density=500, diameter=0.01, r={0,-0.1,0}, color={126,179,53}) annotation(Placement(visible=true, transformation(origin={20.0,0.0}, extent={{-10.0,-10.0},{10.0,10.0}}, rotation=-90)));
    Joystick.Components.JoystickJoint joystickJoint2(d=0.0005, initialxangle=initialAngles[1], initialyangle=initialAngles[2]) annotation(Placement(visible=true, transformation(origin={-10.0,-20.0}, extent={{-10.0,-10.0},{10.0,10.0}}, rotation=0)));
    Modelica.Mechanics.MultiBody.Parts.FixedTranslation fixedTranslation3(r={0.1,0,0}, animation=false) annotation(Placement(visible=true, transformation(origin={-60.0,60.0}, extent={{-10.0,-10.0},{10.0,10.0}}, rotation=-360)));
    Joystick.Components.JoystickJoint joystickJoint3(d=0.0005, initialxangle=initialAngles[1], initialyangle=initialAngles[2]) annotation(Placement(visible=true, transformation(origin={90.0,-20.0}, extent={{-10.0,-10.0},{10.0,10.0}}, rotation=0)));
    Modelica.Mechanics.MultiBody.Parts.BodyCylinder bodyCylinder5(density=500, diameter=0.01, r={0,-0.1,0}, color={53,90,179}) annotation(Placement(visible=true, transformation(origin={120.0,0.0}, extent={{-10.0,-10.0},{10.0,10.0}}, rotation=-90)));
    Modelica.Mechanics.MultiBody.Parts.BodyCylinder bodyCylinder6(density=500, diameter=0.005, r={0,-0.02,0}, color={53,90,179}) annotation(Placement(visible=true, transformation(origin={120.0,-40.0}, extent={{-10.0,-10.0},{10.0,10.0}}, rotation=-90)));
    Joystick.Components.SixSpringReturn sixSpringReturn1(c=100*3/6, d=0, s_unstretched=0.02, spring_height=-0.02) annotation(Placement(visible=true, transformation(origin={120.0,-70.0}, extent={{-10.0,-10.0},{10.0,10.0}}, rotation=0)));
    Modelica.Mechanics.MultiBody.Parts.FixedTranslation fixedTranslation4(r={0,-0.02,0}) annotation(Placement(visible=true, transformation(origin={70.0,-50.0}, extent={{-10.0,-10.0},{10.0,10.0}}, rotation=-90)));
    Modelica.Mechanics.MultiBody.Parts.FixedTranslation fixedTranslation5(r={0.1,0,0}, animation=false) annotation(Placement(visible=true, transformation(origin={40.0,60.0}, extent={{-10.0,-10.0},{10.0,10.0}}, rotation=-360)));
    parameter Modelica.SIunits.Angle initialAngles[2]={0.5,0.1};
    Modelica.Mechanics.MultiBody.Visualizers.FixedShape2 fixedShape21(height(start=0.4)=0.4, length(start=0.8)=1, width(start=0.002)=0.002, lengthDirection={1,0,0}, color={255,255,255}, shapeType="DocumentationFiles/floor.obj", widthDirection={0,0,1}, r_shape={-3,-0.06,0}) annotation(Placement(visible=true, transformation(origin={-40.0,90.0}, extent={{-10.0,-10.0},{10.0,10.0}}, rotation=0)));
    Modelica.Mechanics.MultiBody.Parts.Fixed fixed1(r={0,0,0}) annotation(Placement(visible=true, transformation(origin={-80.0,90.0}, extent={{-10.0,-10.0},{10.0,10.0}}, rotation=0)));
    Modelica.Mechanics.MultiBody.Parts.FixedTranslation fixedTranslation6(r={0,-0.05,0}, width=0.06) annotation(Placement(visible=true, transformation(origin={-130.0,-90.0}, extent={{-10.0,-10.0},{10.0,10.0}}, rotation=-810)));
    Modelica.Mechanics.MultiBody.Parts.FixedTranslation fixedTranslation7(r={0,-0.05,0}, width=0.06) annotation(Placement(visible=true, transformation(origin={-30.0,-90.0}, extent={{-10.0,-10.0},{10.0,10.0}}, rotation=-810)));
    Modelica.Mechanics.MultiBody.Parts.FixedTranslation fixedTranslation8(r={0,-0.05,0}, width=0.06) annotation(Placement(visible=true, transformation(origin={70.0,-90.0}, extent={{-10.0,-10.0},{10.0,10.0}}, rotation=-810)));
  equation 
    connect(fixedTranslation8.frame_a,fixedTranslation4.frame_b) annotation(Line(visible=true, origin={70.0,-70.0}, points={{0.0,-10.0},{0.0,10.0}}));
    connect(fixedTranslation7.frame_a,fixedTranslation2.frame_b) annotation(Line(visible=true, origin={-30.0,-70.0}, points={{-0.0,-10.0},{0.0,10.0}}));
    connect(fixedTranslation6.frame_a,fixedTranslation1.frame_b) annotation(Line(visible=true, origin={-130.0,-70.0}, points={{0.0,-10.0},{0.0,10.0}}));
    connect(fixed1.frame_b,fixedShape21.frame_a) annotation(Line(visible=true, origin={-60.0,90.0}, points={{-10.0,0.0},{10.0,0.0}}));
    connect(fixedTranslation4.frame_b,sixSpringReturn1.frame_a1) annotation(Line(visible=true, origin={83.2997,-66.6667}, points={{-13.2997,6.6667},{-13.2997,-3.3333},{26.5993,-3.3333}}));
    connect(sixSpringReturn1.frame_b1,bodyCylinder6.frame_b) annotation(Line(visible=true, origin={120.0,-60.0}, points={{0.0,-10.0},{0.0,10.0}}));
    connect(fixedTranslation2.frame_b,fourSpringReturn1.frame_a1) annotation(Line(visible=true, origin={-16.7003,-66.6667}, points={{-13.2997,6.6667},{-13.2997,-3.3333},{26.5993,-3.3333}}));
    connect(fourSpringReturn1.frame_b1,bodyCylinder3.frame_b) annotation(Line(visible=true, origin={20.0,-60.0}, points={{0.0,-10.0},{0.0,10.0}}));
    connect(fixedTranslation1.frame_b,threeSpringReturn1.frame_a1) annotation(Line(visible=true, origin={-116.7003,-66.6667}, points={{-13.2997,6.6667},{-13.2997,-3.3333},{26.5993,-3.3333}}));
    connect(threeSpringReturn1.frame_b1,bodyCylinder2.frame_b) annotation(Line(visible=true, origin={-80.0,-60.0}, points={{0.0,-10.0},{0.0,10.0}}));
    connect(fixedTranslation3.frame_a,world.frame_b) annotation(Line(visible=true, origin={-110.0,63.3333}, points={{40.0,-3.3333},{-20.0,-3.3333},{-20.0,6.6667}}, color={95,95,95}));
    connect(world.frame_b,joystickJoint1.frame_a1) annotation(Line(visible=true, origin={-132.25,19.8}, points={{2.25,50.2},{2.25,40.2},{2.25,-40.2},{12.25,-40.2}}));
    connect(joystickJoint3.frame_b1,bodyCylinder6.frame_a) annotation(Line(visible=true, origin={113.367,-23.3333}, points={{-13.266,3.3333},{6.633,3.3333},{6.633,-6.6667}}));
    connect(joystickJoint3.frame_a1,fixedTranslation4.frame_a) annotation(Line(visible=true, origin={73.3333,-26.9333}, points={{6.6667,6.5333},{-3.3333,6.5333},{-3.3333,-13.0667}}, color={95,95,95}));
    connect(joystickJoint3.frame_b1,bodyCylinder5.frame_b) annotation(Line(visible=true, origin={113.367,-16.6667}, points={{-13.266,-3.3333},{6.633,-3.3333},{6.633,6.6667}}, color={95,95,95}));
    connect(fixedTranslation5.frame_b,fixedTranslation4.frame_a) annotation(Line(visible=true, origin={66.6667,26.6667}, points={{-16.6667,33.3333},{3.3333,33.3333},{3.3333,-66.6667}}));
    connect(fixedTranslation3.frame_b,fixedTranslation5.frame_a) annotation(Line(visible=true, origin={-10.0,60.0}, points={{-40.0,0.0},{40.0,0.0}}));
    connect(joystickJoint2.frame_a1,fixedTranslation2.frame_a) annotation(Line(visible=true, origin={-26.6667,-26.9333}, points={{6.6667,6.5333},{-3.3333,6.5333},{-3.3333,-13.0667}}, color={95,95,95}));
    connect(joystickJoint2.frame_b1,bodyCylinder3.frame_a) annotation(Line(visible=true, origin={13.367,-23.3333}, points={{-13.266,3.3333},{6.633,3.3333},{6.633,-6.6667}}));
    connect(joystickJoint2.frame_b1,bodyCylinder4.frame_b) annotation(Line(visible=true, origin={13.367,-16.6667}, points={{-13.266,-3.3333},{6.633,-3.3333},{6.633,6.6667}}, color={95,95,95}));
    connect(fixedTranslation3.frame_b,fixedTranslation2.frame_a) annotation(Line(visible=true, origin={-40.0,26.6667}, points={{-10.0,33.3333},{10.0,33.3333},{10.0,-66.6667}}));
    connect(joystickJoint1.frame_b1,bodyCylinder1.frame_b) annotation(Line(visible=true, origin={-86.633,-16.6667}, points={{-13.266,-3.3333},{6.633,-3.3333},{6.633,6.6667}}, color={95,95,95}));
    connect(joystickJoint1.frame_b1,bodyCylinder2.frame_a) annotation(Line(visible=true, origin={-86.633,-23.3333}, points={{-13.266,3.3333},{6.633,3.3333},{6.633,-6.6667}}));
    connect(joystickJoint1.frame_a1,fixedTranslation1.frame_a) annotation(Line(visible=true, origin={-126.6667,-26.9333}, points={{6.6667,6.5333},{-3.3333,6.5333},{-3.3333,-13.0667}}, color={95,95,95}));
  end JoystickReturnTrajectory;

end Joystick;